+ - Новая возможность
- - Исправление ошибки
! - Изменение или исправление, которое может повлиять на работу
    соответствующих подсистем и требует тщательного тестирования

Тонкий клиент
-----------------------------------------------------------------
--- 6.1106r2 ---  28.04.2026
! [303055] Grid: не отображались значения ячеек разворотных столбцов

--- 6.1106r1 ---  17.04.2026
- [302044] сбивается текущая запись в обоаботчиках событий источника при изменении в поле ввода выпадающим списком автодополнением

--- 6.1106rc0 ---  13.04.2026
- [301107] Закладки: исправлена ошибка позиционирования при переключении закладок
- [299998] #fsert Исправлена ошибочная проверка по неинициализированному значению при обрезании изображения вне области видимости
- [301284] не срабатывает событие источника onAfterScroll при повторном выборе в поле ввода из выпадающеее списка без изменения данных
- [301109] Рефакторинг умных указателей
- [301141] Схемы: исправлена ошибка в механизме множественного поворота фигур
+ [299173] Схемы: JS - добавлен метод hasThemedProperty у фигуры для проверки, является ли свойство тематическим
+ [301122] Добавлена поддержка OpenType (*.otf) шрифтов
- [301219] Схемы: исправлена ошибка отображения панели параметров в диалоге печати по умолчанию
- [300881] исправлена некорректная обработка наложений в MuPDF, из-за которой программа аварийно завершала работу при просмотре PDF
- [300746] Схемы: ИО - выбор "По теме" у свойств группы "Цвет заливки", "Цвет фона", "Стиль заливки", "Цвет линии", "Стиль линии", "Толщина линии" всегда применяется, независимо от текущего значения (полезно, когда группа только была создана)
- [301108] учитывать канал в версиях обновлений для отката
- [299178] Схемы: таблицы - исправлено неправильное отображение текста в текстовых ячейках, когда таблица сгруппирована
- [300719] Схемы: Переход по схемам: исправлена ошибка формирования абсолютного пути из относительного
- [300574] Схемы: таблицы - исправлено неправильное восстановление связей после разгруппировки группы с таблицей; исправлено отсутствие масштабирования таблицы после разгруппировки 
- [300606] Схемы: контейнеры - исправлена ошибка в механизме множественного вращения
- [300862] Схемы: исправлено склеивание фигур после переразмеривания
- [267870] Схемы: отключен чёрный цвет для текста по умолчанию
- [298931] Схемы: исправлено положение скрипта валидации библиотеки BPMN 2.0
- [299711] Схемы: исправлены ошибки приклеивания к контуру для следующих правил валидации библиотеки BPMN 2.0 : 46,47,45,63,41,20,72,42.
- [299848] Схемы: исправлена ошибка проверки нотации библиотеки BPMN 2.0 на пустой схеме
- [300868] Схемы: исправлено неправильное отображение цвета шрифта на кнопке в меню инструментов у параграфа с цветом шрифта по слою
- [300004] Схемы: доработано перестроение соединительных линий, склеенных с контуром фигуры, при перемещении фигуры без предварительного выделения
- [301112] Схемы: исправлена ошибка замены всех текстов ячеек таблицы
- [300883] Схемы: исправлена ошибка отображения горизонтальных пересечений линий
- [260303] Схемы: доработан диалог печати для мобильной версии просмотрщика
- [301124] Схемы: диаграммы - исправлена ошибка перемещения диаграммы 
- [299180] Схемы: диаграммы - исправлена ошибка отображения заголовка при вставке диаграммы контейнера

--- 6.1106beta2 ---  06.04.2026
- [300840] при сохранении модели данных из скрипта сбрасывается текущая запись установленная в источнике из скрипта при помощи ds.first(), ds.eof, ds.next()

--- 6.1106beta1 ---  06.04.2026
- [298950] Схемы: исправлено отображение маркера приклеивания
- [299793] Схемы: доработано отображение маркера в режиме редактирования точек склеек
- [300813] не корректно прочитываются требования к паролям из узла сервер
+ [281506] #wasm удваивать масштабирование в браузерной версии на адроид
- [298952] Схемы: ИО - исправлена некорректная работа отмены/возврата свойств "Цвет заливки", "Цвет фона", "Стиль заливки", "Цвет линии", "Стиль линии", "Толщина линии" у вложенных групп
- [300552] Отчеты xlsx: исправлена ошибка определения высоты строки с нестандартным шрифтом
- [300456] #fsert Исправления: Исправлены ошибки компиляции под Astra 1.7
- [299831] Схемы: исправлена ошибка связанная с активацией дискеты сохранения после действия "Сменить направление"
- [299545] Схемы: Эффекты - Подсветка
           - Исправлена ошибка, при которой не учитывалась толщина линии фигуры при отрисовке подсветки.
- [300030] Формы: исправлено условие показа окна предупреждения о превышении допустимого размера поля
- [299990] Оптимизировано потребление памяти при создании png-изображений области экрана
- [299026] Формы: Деревья
           - Исправлена ошибка, при которой в процессе печати пропадают данные.
- [299352] Схемы: контейнеры - исправлено вращение через контекстное меню (как с одиночным выделением, так и с множественным)
! [297518] Диаграммы оси: доработано отображение подписей осей
           - улучшена корректность масштабирования шрифтов
           - обеспечено согласованное отображение текста при изменении масштаба схемы
+ [297185] Схемы:  диаграммы - добавлены настройки шрифта осей
- [299258] Схемы: диаграммы - исправлено отображение заголовков диаграммы на экранах с высоким разрешением
- [299258] Схемы: диаграммы - исправлена ошибка настройки шрифта заголовка диаграммы
- [300032] Схемы: исправлена ошибка при выборе пункта меню "Инструменты"
- [298931] Схемы: не обновлялся список с сообщениями валидации после новой валидации
- [299847] Схемы: исправлены положения текстов групп в вкладке денные, ленточного интерфейса
+ [287490] Схемы: если выделена фигура при наведении на другую, будет появятся иконка стрелки с плюсиком
- [300571] Схемы: исправлена неактивная иконка примечаний в вкладке "Вставка", ленточного интерфейса
- [292061] Диаграммы: исправлено отображение выделения выходных дней
- [300031] Диаграммы: исправлено отображение подписей горизонтальной оси

--- 6.1106beta0 ---  27.03.2026
- [299837] Формы: Деревья
           - Исправлен Access Violation при сохранении раскрытых узлов.
- [299384] Grid: N54170 - Не вызывается контекстное меню в ячейке таблицы
- [299364] Схемы: контейнеры - исправлено неправильное переразмеривание контейнера в случае, когда фигура оказалась вне его границ
- [299735] рефакторинг gui::MenuItem::separator и gui::MenuItem::null
+ [298494] возможность задать таблицы в командной строке --trace-append=tableId1,tableId2... для отображения в логе и трассе фактов добавлений в эти таблицы
- [297455] Константы пользователя: N54036 - Сброс констант пользователя после добавления/удаления ролей
- [299049] #fsert отрисовка шрифтов и векторов в PDF, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, draw-edgebuffer.c)
- [299361] Схемы: контейнеры - исправлено игнорирование отступов контейнера при перемещении фигуры внутри него
- [299575] Схемы: исправлена ошибка перестроения соединительных линий после изменения ширины или высоты фигуры, склеенной с линиями
- [299574] Схемы: исправлена ошибка изменения размера группы мышкой, содержащей встроенный текст
- [291656] Схемы: исправлен механизм пересчета положения точек склеек у прямоугольника, эллипса и дуги после их переразмеривания
- [299170] Схемы: внесены правки в мультистраничность схемы
- [299549] не применять параметры из конфигурации, если пр запуске формы настроено не запрашивать параметры
- [299361] Схемы: контейнеры - исправлено лишнее смещение контейнера при переразмеривании фигуры, которая находится не в начале контейнера 
- [299354] Схемы: контейнеры - исправлено неправильное переразмеривание контейнера с опцией "Расширение по содержимому" в некоторых случаях
- [299259] Схемы: контейнеры - исправлена опечатка при переразмеривании
- [299576] Схемы: исправлена ошибка механизма разделения соединительной линии, находящейся на заблокированном слое
+ [294189] Схемы: добавлена возможность запуска скриптов для схем (механизм расширений)
+ [252911] Схемы: добавлена валидация библиотеки BPMN 2.0 через механизм расширений
- [299450] Схемы: доработаны полосы прокрутки для схемного контрола
- [298932] Схемы: Эффекты
           - Исправлена ошибка при определении видимой части прямоугольника.
           - Добавлен учёт габаритов эффектов объекта при определении видимости фигуры.
- [263316] Формы: При превышении установленного лимита текста (из источника данных) в многострочном поле появляется диалог выбора действий
- [299392] Выбор записей формой: добавлялись лишние записи после выбора одной записи с несколькими настроеннными полями

--- 6.1105beta1, 6.1105rc0 --- 23.03.2026
- [297378] Не верно отображалась иконка и текст в компоненте Рисунок
- [299279] Grid: зависание подготовки отчета при расчете итогов таблицы
+ [295033] Схемы: переходы к схемам - добавлена возможность перехода к элементам схемы
- [299275] Схемы: контейнеры, таблицы - исправлена недоступность группировки в некоторых случаях
- [299259] Схемы: контейнеры - исправлено неправильно переразмеривание контейнера при активации "Добавить в новый контейнер"
- [299255] Схемы: контейнеры - исправлено непреднамеренное изменение порядка фигуры при изменении вложенной фигуры в границах контейнера
- [297100] Формы: исправлена ошибка из-за которой Надпись могла не отображать выражение/поле из источника данных
- [299256] Отчеты: исправлена работа загрузкой стилей ячеек таблиц

--- 6.1105beta0 ---  20.03.2026
- [298893] Аналитическая таблица: N54086 - Не появлялась полоса прокрутки после добавления дескриптора поля в область строк
+ [293179] Формы: Календарь:
           - Добавлена поддержка перетаскивания длительных событий
           - Улучшено визуальное отображение событий при перетаскивании (привязка события к плитке, полупрозрачная плитка)
           - Повышено быстродействие и исправлены мелкие баги
- [288787] Схемы: изменено имя приложения на "АСМОграф" в документации
- [297514] не присваивается значение поля после добавлении записи на скриптовом событии onChange другого логиеского поля, которое меняется по клику в гриде
- [299188] Grid: вывод ошибочного сообщения "Поле должно содержать значение"
- [299253] Схемы: доработано отображение панели параметров в диалоге печати по умолчанию
- [299191] Схемы: контейнеры - исправлена проверка порядка фигур в контейнере-списке на этапе загрузки схемы
- [299190] Схемы: контейнеры - исправлена логика проверки порядка фигур в контейнере-списке
- [299254] Схемы: контейнеры - исправлена ошибка помещения фигуры в контейнер, находящегося на заблокированном слое
- [299146] не давать менять выборку истоника грида во время рисования грида
- [299144] Формы: Toolbar: исправлена ошибка установки индикатора меню на кнопки
- [298965] Схемы: Графические пометки: Изменен механизм повторной загрузки пометок
+ [293183] Схемы: контейнеры - добавлена возможность вращения
+ [290059] Схемы: контейнеры - добавлена возможность группировки
+ [293185] Схемы: таблицы - добавлена возможность вращения
+ [290058] Схемы: таблицы - добавлена возможность группировки
- [299171] Схемы: доработана настройка шрифта заголовка системных контейнеров при отображении в качестве миниатюры в момент создания
+ [298837] проверка окграничений на данные прикладного решения
- [298498] Формы: Дерево
           - Добавлен функционал по сохранениею в кофигурацию списка раскрытых узлов.
- [298965] Схемы: Графические пометки: Исправлена ошибка при сохранении пометок
- [297404] Схемы: переходы к схемам - исправлена ошибка модификации схемы при закрытии окна без изменений
- [298950] Схемы: доработано отображение маркера приклеивания в случае наведения на вершины соединительной линии
- [298895] Схемы: изменена иконка, используемая для стиля заливки "Нет заливки"
- [297044] Схемы: исправлена ошибка выделения дуги
- [299002] Схемы: отключен инструмент "Разрезание многоугольников" для ломаных и кривых линий
- [296859] Формы: исправлено зависание приложения после вызова execute() в компоненте «Внешние файлы»
- [298951] Формы: Деревья
           - Добавлена возможность перетаскивать узлы деревьев, для которых недоступно редактирование.
- [298938] Схемы: Ломаные
           - Исправлена ошибка, возникающая при попытке отрисовать линию, состоящую из одной точки.
- [298954] Схемы: Графические пометки: в режиме создания графических пометок не учитываются темы
+ [297047] Пакет Crypto: N53965 - проверка подписи файла (js-функции "testSign", "verifySign")
- [298937] Схемы: Графические пометки: учитываются стили при отображении панели редактирования пометок
- [298835] Схемы: Графические пометки: исправлена ошибка возникающая после сохранения созданной фигуры с последующим ее изменением
- [298897] Схемы: Графические пометки: в режиме создания пометок отключаются габариты схемы и разметка
- [298562] Добавлен механизм скрывающий все плавающие окна в текущей вкладке при создании подвкладки
- [298821] Схемы: отключено рисование и новый импорт изображений в формате *.wmf, *.emf
+ [298581] настройка у роли/группы кода прикладного решения
- [298561] Схемы: Графические пометки: добавлена возможность закрывать панель инструментов через кнопку закрытия
- [298517] Схемы: Графические пометки: Исправлена ошибка возникающая при изменении шрифта с клавиатуры
- [297124] Схемы: Графические пометки: доработано отображение подсказок для несобственных пометок
+ [298567] Формы: при вызове скриптового метода popup, контекстное меню привязывается к нижней части кнопки панели инструментов если указать в качестве параметра саму кнопку
- [298578] Схемы: Эффекты
           - Исправлена ошибка, при которой не учитывалась прозрачность фигуры при отрисовке внешней тени.
           - Исправлена ошибка, при которой не учитывалась прозрачность фигуры при отрисовке сглаживания.
           - Исправлена ошибка, при которой не учитывалась прозрачность фигуры при отрисовке внутренней тени.
           - Исправлена ошибка, при которой не учитывалась прозрачность тени при отрисовке сглаживания.
- [296703] Grid: - скорректирована настройка кнопки редактирования ячейки для вариантного поля
- [298619] Схемы: Графические пометки: Исправлена ошибка загрузки графических пометок
+ [298605] BinaryObject - реализация JS методов "loadFromFile" и "toBase64"
+ [297876] Формы: Календарь:
           - Добавлен источник выходных
           - Добавлена поддержка контекстных меню для плиток дней
           - Улучшено взаимодействие с календарем при помощи мыши
           - Улучшено поведение плиток событий (при наведении, при нажатии и т.д.)
           - Исправлены ошибки адаптивности
- [297049] Grid: N53968 - не сохранялся текст редактора ячейки при потере фокуса ввода после изменения положения разделителя на форме
- [298560] Схемы: Внутренние тени
           - Исправлен алгоритм рисования внутренней тени.
- [297683] #fsert MEMORY_LEAK.EX src/thinclient/core/configurations.cpp
- [297693] #fsert отрисовка шрифтов и векторов в PDF, сообщение диагностики:(INTEGER_OVERFLOW, draw-edgebuffer.c)
- [298474] Схемы: диаграммы - доработано обновление данных таблиц и списка таблиц при их добавлении и удалении
- [298551] Схемы: диаграммы - добавлено диалоговое окно при удалении данных таблиц
+ [298033] Схемы: диаграммы - добавлена автоматическая настройка таблицы диаграммы для контейнеров из примитивов, содержащих в себе диаграмму как контрольную фигуру, в момент создания
- [298545] Схемы: доработана настройка инспектора объектов при открытии больших схем
- [298569] Схемы: исправлена ошибка добавления изображения на подложку после удаления основной страницы
- [298054] Схемы: исправлена ошибка добавления примитива, содержащего в себе таблицу
- [298543] Схемы: исправлена ошибка смены порядка слоёв после сохранения и повторного открытия схемы
- [298671] Схемы: исправлена ошибка разгруппировки сломанных размеров
- [298519] Схемы: отключена возможность закрытия окна настройки ссылки фигуры при нажатии кнопками мыши в любом месте схемы
- [298838] Схемы: расширено поле с наименованием шрифта редактора
- [298640] Схемы: доработка ввода текста для текстовых фигур, создаваемых с графическими пометками
- [298450] Схемы: исправлена ошибка пропадания параметров у контейнеров, созданных из примитивов, после сохранения и загрузки схемы
- [298819] Схемы: исправлена ошибка пропадания параметров у таблиц, в момент добавления их на схему и созданных из примитивов
- [298600] Диаграммы: сообщение диагностики (DEREF_OF_NULL.RET.STAT, fc_diagram.cpp) 
- [298566] Схемы: диаграммы - добавлено диалоговое окно при закрытии диалога настройки данных диаграммы
- [298925] Рисунок: исправлены ошибки внутренней реализации
- [299045] Рисунок: исправлены ошибки внутренней реализации
- [299044] Документ: исправлены ошибки внутренней реализации
- [298917] исправлены ошибки внутренней реализации диалога выбора цвета
- [298923] исправлены ошибки внутренней реализации встроенного пакета тестирования
- [298920] Схемы: исправлены ошибки внутренней реализации инспектора объектов
- [298621] Схемы: исправлена ошибка применения настройки цвета шрифта к созданному текстовому абзацу
- [298820] Схемы: доработана разгруппировка фигур, содержащих скрытые фигуры
- [298918] Схемы: исправлены ошибки внутренней реализации схемного контрола
- [298816] Схемы: доработан механизм экспорта в различные форматы

--- 6.1104rc0 ---  04.03.2026
- [297497] Схемы: Эффекты
           - Добавлена поддержка эффектов для соединтельных линий с пересечениями.
- [298482] Схемы: Экспорт VSD/VSDX
           - Исправлен Access Violation при экспорте ломаных с закруглением и стрелочками.
- [298481] Схемы: диаграммы - исправлена ошибка настройки свойств заголовка диаграммы внутри контейнера через инспектор объектов

--- 6.1104beta0 ---  04.03.2026
! [297072] Отчеты: исправлена ошибка параллельного формирования отчетов
- [298454] Grid: неправильное вычисление значения выражения столбца 
- [297538] Схемы: Скругления - исправлена ошибка, которая могла возникать при работе со скругленными прямоугольниками
- [297810] #fsert Окно ожидания, сообщение диагностики:(UNINIT.CTOR, wait_window.cpp)
- [297685] #fsert Схемы: исправлена утечка памяти
- [297809] #fsert Схемы: исправлена отображение цветов в Wmf файлах, где использовались selectObject
- [298410] Схемы: исправлена ошибка импорта схемы через скрипт
- [298448] Схемы: исправлено некорректное отображение мастера организационных диаграмм на мониторах 4К
- [298459] Схемы: исправлено экспортирование мастер-шаблонов из скриптовых функций
- [297686] #fsert Диаграммы: сообщение диагностики (fc_diagram, DOUBLE_FREE.EX) 
- [298056] Схемы: диаграммы - исправлена ошибка настройки заголовка диаграммы внутри контейнера 

--- 6.1103beta11 ---  02.03.2026
- [297674] #fsert Сообщение диагностики: Стиль столбца дерева: DEREF_OF_NULL.DYN_CAST formstyle_core.cpp
- [297312] Схемы: исправлена циклическая ссылка после замены примитива на примитив, который представлен в виде таблицы
- [297780] #fsert Схемы: таблицы, сообщение диагностики (sd_table, DEREF_OF_NULL.DYN_CAST)
- [297811] #fsert Схемы: текстовый абзац, сообщение диагностики (paragraph, DEREF_AFTER_NULL.EX.COND)

--- 6.1103beta10 ---  27.02.2026
- [297460] #fsert работа с интерактивными формами, сообщение диагностики:(UNINIT.LOCAL_VAR, pdf-form.c)
- [297072] Отчеты: убрана ошибка обработки объединенных ячеек
- [296985] #fsert сообщение диагностики: INTEGER_OVERFLOW, ext/openjpeg/src/tcd.c
- [297407] Схемы: диаграммы - доработано обновление свойства "Сетка" при смене типа серии
- [297765] Схемы: исправлена ошибка отображения курсора мыши в случае выделенной фигуры, имеющей ссылку
- [297383] Схемы: исправлено отображение размеров с прозрачными линиями

--- 6.1103beta9 ---  27.02.2026
- [297420] Формы: компонент Календарь - мелкие исправления:
           - улучшено упорядочивание длительных событий (долгие события теперь помещаются выше коротких)
           - возвращено автоматическое перелистывание календаря при выборе даты соседнего месяца (в виде свойства в ИО)
           - исправлена ошибка, из-за которой календарь не обновлял список событий при изменениях в источнике
- [297401] Схемы: Ломаные
           - Исправлена отрисовка эффектов ломаных, у которых радиус скругления больше нуля.
- [296647] Отчеты: исправлена ошибка формирования объединенных ячеек
- [297420] Формы: компонент Календарь - исправлена ошибка, из-за которой события на календаре могли отображаться некорректно
+ [297299] метод appendFromFile у компонента внешние файлы, доработан метод loadFromFile для постепеной загрузки
- [297389] Схемы: Ломаные и кривые
           - Исправлен некорректный размер подсветки при отрисовке стрелок.
- [294737] Схемы: Скругление фигур - теперь при отрисовке скругленных линий учитываются стрелочки
- [297387] Схемы: Эффекты
           - Отключены эффекты для размеров.
+ [297317] Встроенный просмотрщик: Изменения
           - Добавлена возможность закрывать вкладки, используя кнопку закрытия у вкладки или комбинацию Ctrl + W.
- [297054] не кешируются формы во фрейме
- [297254] Схемы: Ломаные и кривые
           - Исправлена отрисовка перспективных теней от стрелочек.
- [297312] Схемы: встраивание фигур - доработано приклеивание к контуру в случае наведения фигуры на контур контейнера
- [297400] Схемы: встраивание фигур - доработано приклеивание к контуру в случае разделения соединительной линии
- [297425] Схемы: встраивание фигур - доработано отображение подсветки приклеивания к контуру при добавлении примитива на схему
- [296625] Диаграмма Ганта: запрет на перемещение столбцов диаграммы
- [297306] Схемы: диаграммы - доработано отображение окна настроек таблиц диаграмм
- [297213] Схемы: отключена настройка стилей из контекстного меню у фигур, которые не поддерживают темы и стили
- [296819] Диаграмма Ганта: исправлено некорректное перестроение столбцов диаграммы
- [297415] Схемы: организационные диаграммы, доработана возможность импорта Excel файла английской версии Visio
- [296644] Схемы: уменьшено потребление оперативной памяти для Wmf/Emf изображений
- [297475] Схемы: доработана вставка Wmf/Emf изображений из проводника и буфера обмена
- [297449] Схемы: исправлена ошибка импорта библиотек примитивов
- [297111] Схемы: диаграммы - размер шрифта заголовка переведен в схемные единицы

--- 6.1103beta8 ---  25.02.2026
- [297072] Отчеты: при одновременном запуске нескольких отчетов они выстраиваются в очередь на выполнение
- [297032] Внешние файлы - неправильная передача праметров в js-функцию "signFileCades"
+ [297212] Схемный контрол: JS Методы - добавлена возможность передавать список идентификаторов как параметр функции genDistRadius
- [297108] Схемы: диаграммы - исправлено отображение кнопок в диалоге добавления строк таблицы
- [297051] исправлена ошибка, при которой неправильно отображались параметры с числовым типом в таблице выбора значений
+ [296718] Диаграмма Ганта: добавлено свойство для настройки вида диаграммы

--- 6.1103beta7 ---  24.02.2026
- [297072] Отчеты: при одновременном запуске нескольких отчетов они выстраиваются в очередь на выполнение
- [297114] не корректно устанавливается высота формы из скрипта
- [297110] ошибка при сортирвке источника по строковым полям с юникодными символами
- [297053] Схемы: доработана вариативность для фигур, извлекаемых из примитива

--- 6.1103beta6 ---  20.02.2026
+ [297050] не срабатывает настройка параметра формы "Запоминать последнее значение"="всегда запоминать"
- [297022] Grid: AV при редактировании Spin-поля
- [297150] Linux: чаще используем LF вместо CRLF в окончании строк логов, где это возможно
+ [296723] Grid: для столбца таблицы добавлено JS-свойство "enablePaste" для управлению возможностью вставки из буфера обмена
- [292773] Отчеты: исправлена ошибка работы с границами ячеек
- [296872] Схемы: Эффекты
           - Исправлена ошибка, при которой в процессе отрисовки эффектов не учитывались темы и стили
           - Произведён рефакторинг кода отрисовки эффектов
- [296888] PDF: Исправлена ошибка приводившая к остановке работы приложения при просмотре PDF
- [297029] ошибка при добавлении записи из скрипта в источник, который был передан из другой формы
+ [195843] Схемы: добавлена возможность создания текста по прямоугольной области
- [296866] Схемы: исправлена ошибка пропадания фигуры после отмены группировки и разгруппировки
- [297035] Схемы: эффекты - отключены настройки эффектов для текстов в инспекторе объектов
- [297090] Схемы: эффекты - отключены настройки эффектов для графических групп, внешних ссылок на примитив, контейнеров и таблиц
- [285778] Схемы: эффекты - скорректированы внутренние детали инспектора объекта и скриптовых свойств
- [297057] Схемы: диаграммы - исправлены текстовые ошибки в диалоге добавления строк таблицы диаграмм
- [296824] Схемы: исправлен расчёт границ у Wmf файлов
- [297093] Схемы: исправлена ошибка привязки одной направляющей к другой
- возврат старой версии фильтрации таблиц
- [297095] Схемы: диаграммы - скрыт параметр "Сетка" для кольцевой и круговой диаграммы
- [297117] Схемы: исправлена ошибка печати схемы в *.pdf файл в браузерной версии
- [297098] Схемы: диаграммы - скрыты неиспользуемые параметры инспектора объектов для Кольцевой и Круговой диаграмм:
           - Ось Y
           - Текстовое поле данных
           - Цвет серии
- [296641] Схемы: исправлено некорректное отображение картинок Wmf, у которых указана негативная граница

--- 6.1103beta5 ---  18.02.2026
- [289365] Grid: некооректное позиционирование источника после вызова расчета итогов
- [296854] некорректно изменяется высота модальной формы из скрипта
- [296616] зависание свернутого окна клиента при закрытии через панель задач ОС.
- [293330] Схемы: при экспорте в .pdf теперь не учитываются страницы-подложки
- [296851] Добавлен параметр компиляции в универсальной сборке linux
- [296714] Схемы: не импортировалась таблица Excel для организационных диаграмм
- [296663] Схемы: внесены правки в механизм скроллирования схемы
- [296686] Схемы: встраивание фигур - доработан механизм смены направления соединительной линии в случае приклеивания к контуру
- [296832] Диаграммы: исправлено авторазмеривание окна с кастомной подсказкой
- [292902] Схемы: рефакторинг кода импорта Excel для организационной диаграммы
- [274162] Схемы: внесены изменения в механизм сохранения и обновления схемы
- [296841] Схемы: изменено расположение кнопки "Включить разметку" в окне параметров страницы
- [293594] Схемы: сквозные группы - доработано изменение масштаба группы в случае, когда дочерние фигуры имеют не единичный масштаб
- [296734] Схемы: при повторном открытии окна параметров страницы возникала ошибка
- [296830] Схемы: не сменялась подложка при изменении в окне "параметры страницы"

--- 6.1103beta4 ---  16.02.2026
+ [296386] возможность гоиризонтального скроллирования колесом мыши или сенсортой панелью, реакция на горизонтальное скролирование в гриде
- [296406] Формы: исключены проверки, связанные с порядком вызовов eval
- [296684] Схемы: Эллипсы
           - Исправлена отрисовка эллипсов.
- [296317] Формы: действие 'Текущая дата' в виджете выбора даты в режиме "Кварталы" теперь устанавливает первый день квартала
- [295413] #fsert Форма администрирования пользователей - исправлена проверка на длину пароля
- [296652] Схемы: Эллипсы
           - Исправлена отрисовка эффектов эллипса.
+ [296545] Схемы: диаграммы - добавлен заголовок диаграммы
+ [295034] Схемы: диаграммы - добавлены настройки заголовка в инспектор объектов
- [296617] Схемы: исправлена ошибка, при которой иногда неотображались внутренние картинки в Wmf/Emf файлах
- [296631] Схемы: исправлена ошибка при отмене настроек экспорта схемы в браузерной версии
+ [296683] Схемы: встроенный документ - добавлена возможность активации в качестве экспериментальной настройки
- [296639] Схемы: исправлена ошибка, при которой не отоборажались некоторые картинки, если Wmf/Emf файл был закорапчен
- [296668] Схемы: убран неправильный механизм поиска обьекта для Wmf/Emf файлов

--- 6.1103beta3 ---  12.02.2026
- [296445] #fsert искусственное изменение жирности шрифта (harfbuzz), сообщение диагностики:(INTEGER_OVERFLOW, hb-outline.cc)
- [295745] FileSystem.extractFileExtention - возвращала пустую строку если путь слишком длинный
- [296361] #fsert Схемы: убраны опции экспорта в .vsd на ФСТЭК-версиях
- [296632] GlobalConsts: не обновлялись значения констант при изменении их другой форме
- [296541] Новое окно авторизации: Окно подтверждения обновления
           - Исправлен размер окна подтверждения обновления.
- [296622] Схемы: Изображения
           - Исправлена отрисовка изображений на широкоформатных мониторах
- [296446] #fsert кодирование и декодирование JPEG (Jpeg9), сообщение диагностики:(INTEGER_OVERFLOW, jmemmgr.c)
- [296536] Схемы: Изображения
           - Добавлена обрезка изображения по видимой области при отрисовке.
- [296458] #fsert хранения DOM дерева (gumbo), сообщение диагностики:(NO_EFFECT.MACRO, gumbo_vector.c)
+ [282475] Схемный контрол: Графические пометки: Добавлен скриптовый метод updateMarks
- [296452] #fsert валидация шрифта (harfbuzz), сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, SimpleGlyph.hh)
- [296385] #fsert потоковое сжатие данных (SDL2_image), сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, miniz.h)
- [296384] #fsert вычисление ширины символа (mupdf), сообщение диагностики:(DEREF_AFTER_NULL.EX, font-mupdf.c)
- [294743] Схемы: Исправлена ошибка в окне истории редактирования файла, которая приводила к падению приложения на Linux
- [296519] Схемы: Эллипсы
           - Исправлена отрисовка эллипсов.
+ [282479] Схемный контрол: Графические пометки: Добавлен скриптовый метод markColorByUser
- [296460] #fsert работа с PDF (mupdf), сообщение диагностики: UNINIT.LOCAL_VAR ext/mupdf/mupdf/src/pdf/pdf-write.c
- [296469] Формы: Схемы: Графические пометки: Исправлен механизм добавления подсказок фигурам
- [293525] Схемы: Импорт DWG/DXF
           - Исправлен импорт специальных символов.
- [296449] Схемы: эффекты изображений #fsert (agg), сообщение диагностики INTEGER_OVERFLOW  agg_image_filters.cpp'
- [296412] некорректно инициализируется окно запроса нового пароля пользователя
- [292864] Схемы: Рефакторинг вычисления габарита и сохранения схем
- [296401] Схемы: Экспорт PDF
           - Исправлен Access Violation, происходящий при экспорте изображений в PDF
- [296365] Исправлена ошибка возникающая на схемном контроле при отмене измениний
- [296408] Исправлена ошибка в поле ввода
- [296329] Схемы: исправлена ошибка разделения соединительной линии в случае добавления примитива на схему, представляющего собой соединительную линию
- [296367] Схемы: доработано отображение сетки страницы с подключенной подложкой
- [296364] Схемы: доработано отображение заднего фона страницы в цепочке подключенных подложек
- [296233] Схемы: исправлена ошибка перемещения контейнеров из примитивов, содержащих в себе диаграмму как контрольную фигуру
- [295244] Схемы: скрыты настройки тем и стилей в инспекторе объектов для диаграмм и изображений в редакторе примитива
- [296328] Схемы: встраивание фигур - исправлена ошибка перестроения соединительных линий при перемещении кривой соединительной линии, с которой они склеены
- [295552] #fsert сообщение диагностики: INTEGER_OVERFLOW, ext/openjpeg/src/tcd.c
- [274162] Схемы: внесены изменения в механизм загрузки и импорта схемы
- [296626] Схемы: исправлено зависание схем, которое могло возникать при импорте некорректных схем
- [295551] #fsert сообщение диагностики: INTEGER_OVERFLOW ext/openjpeg/src/dwt.c
- [296121] Схемы: доработка контента картинки для Wmf/Emf файлов
- [296638] Схемы: изменен текст сообщения об ошибке при отсутствии возможности подгрузить библиотеки примитивов схемы
- [296550] Схемы: диаграммы - доработан механизм генерации идентификаторов записей таблиц данных
+ [293569] Вспомогательные тесты: добавлена возможность открывать файлы минуя диалог
+ [296230] Схемы: в окно "Параметры страницы", добавлены вкладки
- [296549] Схемы: исправлено замечание по сохранению и загрузке таблиц диаграмм

--- 6.1103beta2 ---  09.02.2026
- [295705] #avew Сообщение диагностики #fsert NO_CAST.INTEGER_OVERFLOW src/thinclient/syswin/dialog_forms.cpp окно выбора специального символа в схеме, документе
- [296358] AV при переключении фреймов использующих кеш форм и configKey
- [296334] #fsert преобразование текста из UTF-8 в нижний регистр, сообщение диагностики:(INTEGER_OVERFLOW, fl_utf8.cxx)
- [296332] Схемы: Тень
           - Исправлена отрисовка теней эллипсов.
- [296295] Схемы: замена библиотеки libcad на libssi
- [296250] Схемы: Изображения
           - Исправлено отображение изображений с отрицательными шириной/высотой.
- [295005] фокус ввода не возвращается обратно схему после модального окна, если закрыть модальное окно и курсор мыши в это время над скролом
- [296271] Схемы: Экспорт VSD/VSDX
           - Исправлен Access Violation, происходящий при экспорте линий со стрелками в VSD/VSDX.
- [296254] Эффекты: Внутренние тени
           - Исправлен Access Violation при отрисовке внутренних теней на Linux.
           - Исправлена отрисовка внутренних теней для дуг.
- [296255] Константы: неправильное значение констант с заданной функцией даты после изменения значения в JS
- [296125] #fsert добавление изображений в PDF (mupdf), сообщение диагностики:(UNINIT.LOCAL_VAR, image.c)
- [296127] #fsert изменение цветов в PDF (mupdf), сообщение диагностики:(UNINIT.LOCAL_VAR, pdf-page.c)
- [296135] #fsert отображение специальных символов (harfbuzz), сообщение диагностики:(VARIABLE_IS_NOT_ARRAY, hb-open-type.hh)
- [296130] #fsert обработка и парсинг объектов PDF (mupdf), сообщение диагностики:(UNINIT.LOCAL_VAR, pdf-stream.c)
- [296126] #fsert переход на страницу с аннотаций типа "Облако" в PDF (mupdf), сообщение диагностики:(UNINIT.LOCAL_VAR, outline.c)
- [296129] #fsert парсинг PDF (mupdf), сообщение диагностики:(UNINIT.LOCAL_VAR, pdf-parse.c)
- [296099] #fsert нормализация текста OpenType шрифтов (harfbuzz), сообщение диагностики:(SIMILAR_BRANCHES, hb-ot-shape-normalize.cc)
- [296095] #fsert работа AppleSingle шрифтов (Freetype), сообщение диагностики:(SIMILAR_BRANCHES, ftrfork.c)
- [296134] #fsert JavaScript (клиентский), сообщение диагностики: UNINIT.LOCAL_VAR, src/thinclient/js/duktape/duktape.cpp
- [296102] #fsert поворот JPEG изображений в PDF (mupdf), сообщение диагностики:(SIMILAR_BRANCHES, util.c)
- [296100] #fsert анимация переходов между страницами PDF (mupdf), сообщение диагностики:(SIMILAR_BRANCHES, document.c)
- [296066] #fsert аутентификация в старой версии web-клиента с включенными аудитами, сообщение диагностики:(DEREF_OF_NULL.EX, Session.java)
+ [295234] Формы: Календарь - мелкие исправления:
           + В стиль компонента добавлено свойство, определяющее цвет точек событий в уменьшенном представлении
           + Добавлено скриптовое свойство layoutType и свойство в ИО для ручного задания представления календаря
           - Подсказки теперь поддерживают HTML-форматирование (если активировано в ИО)
- [295706] #fsert генерация шрифтовых подмножеств PDF (mupdf), сообщение диагностики:(NO_EFFECT, subset-cff.c)
- [296072] #fsert конвертация объекта в JSON (jackson-core), сообщение диагностики:(DEREF_AFTER_NULL.EX, UTF8JsonGenerator.java)
- [295687] #fsert декодирования изображений (jbig2dec), сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, jbig2_halftone.c)
- [295702] #fsert расположение элементов в окнах и группах, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, Fl_Group.cxx)
- [296156] использовать параметры в виртуалном источнике без поиска для ключа выборки (для разделения выборок по вышестоящим записям)
- [296131] #fsert работа с PDF (mupdf), сообщение диагностики: UNINIT.LOCAL_VAR ext/mupdf/mupdf/src/pdf/pdf-write.c
- [296133] #fsert работа с BMP, сообщение диагностики: #fsert UNINIT.LOCAL_VAR ext/SDL2_image/src/IMG_bmp.c
- [295922] Схемы: Эллипсы
           Исправлена отрисовка эллипсов.
- [295686] #fsert валидация шрифта (harfbuzz), сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, SimpleGlyph.hh)
- [295703] #fsert создание поверхности SDL, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, gui_surface.cpp)
- [296103] #fsert механизм обновления графического состояния PDF (mupdf), сообщение диагностики:(SIMILAR_BRANCHES, pdf-op-filter.c)
- [296101] #fsert преобразование цветов, сообщение диагностики:(SIMILAR_BRANCHES, ext/mupdf/mupdf/src/fitz/separation.c)
- [296076] #fsert сериализация JSON, сообщение диагностики:(DEREF_AFTER_NULL.EX, ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/ser/BeanSerializerBuilder.java)
- [295923] Схемы: Многоугольники
           Исправлена отрисовка заливки многоугольников.
- [295924] Схемы: Ломаные и кривые
           Исправлена отрисовка стрелочек
- [296075] #fsert поиск внутри JSON, сообщение диагностики:(DEREF_AFTER_NULL.EX, ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/JsonNode.java)
- [296073] #fsert конвертация JSON в объект, сообщение диагностики:(DEREF_AFTER_NULL.EX, ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/deser/BeanDeserializer.java)
- [296074] #fsert обработка исключений, сообщение диагностики:(DEREF_AFTER_NULL.EX, ext/jackson-databind/src/main/java/com/fasterxml/jackson/databind/deser/BeanDeserializerBase.java)
- [296034] #fsert работа с DOM-деревом, сообщение диагностики:(NO_EFFECT.MACRO, ext/gumbo/gumbo_vector.c)
- [296043] #fsert JavaScript (duktape), сообщение диагностики: NO_EFFECT.MACRO dukcpp.cpp
- [295695] #fsert декомпрессия изображений формата BMP, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, ext/mupdf/mupdf/src/fitz/load-bmp.c)
- [296092] #fsert NON_VIRTUAL_DTOR src/adt/adt_membuf.h
- [296124] приведены в соответствие с толстым клиентом форматы печати
+ [289544] Схемы: добавлены форматы листа A8, A9, A10 для разметки и печати
- [296181] Схемы: доработана возможность проверки содержимого схем из локального кеша и с сервера c фильтрацией лишних вложенных тегов
- [296275] Схемы: доработана отмена и повтор изменения настроек "Значки пересечения линий" через окно "Параметры страницы"
- [296333] Схемы: отключено вычисление габаритов у слоя
- [293590] Схемы: доработан общий механизм экспорта в формат *.dwg в файл и скриптовый объект BinaryObject

--- 6.1103beta1 ---  02.02.2026
- [296094] #fsert Сообщение диагностики: NON_VIRTUAL_DTOR src/thinclient/reports/rp_filter.cpp
- [296104] #fsert Сообщение диагностики: SIMILAR_BRANCHES src/thinclient/reports/rp_expression.cpp
- [295882] Схемы: Прозрачность
           Исправлена прозрачность выделенных фигур.
- [295697] #fsert генератор имен файлов для вывода страниц, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, ext/mupdf/mupdf/src/fitz/string.c)
- [295694] #fsert генерация PDF-файлов, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, ext/mupdf/mupdf/src/fitz/ftoa.c)
- [295707] #fsert NO_EFFECT src/thinclient/gui/fltk/fltk_sdl2_gl.cpp
- [295602] #fsert NO_CAST.INTEGER_OVERFLOW ext/Freetype/src/sfnt/ttkern.c
- [295596] #fsert NO_CAST.INTEGER_OVERFLOW ext/Freetype/src/sfnt/ttcmap.c
- [295704] #fsert Схемы: отображение всплывающих стрелок автосоединения, сообщение диагностики (sd_connectors, NO_CAST.INTEGER_OVERFLOW)
- [295693] #fsert квантование цветов, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, ext/Jpeg9/jpeg-9e/jquant2.c)
- [295690] #fsert работа с JPEG (jpeg9), сообщение диагностики: NO_CAST.INTEGER_OVERFLOW ext/Jpeg9/jpeg-9e/jdcoefct.c
- [295816] Схемы: Отрисовка
           Исправлена прозрачность линий фигур при выделении.
- [295814] Эффекты: Ломаные и кривые
           Исправлен Access Violation при отрисовке линий со стрелочками.
+ новые иконки
- [295567] #fsert INTEGER_OVERFLOW src/thinclient/gui/agg/src/agg_image_filters.cpp
- [295701] #fsert работа с PDF (mupdf), сообщение диагностики: NO_CAST.INTEGER_OVERFLOW ext/mupdf/mupdf/src/pdf/pdf-write.c
- [295573] #fsert чтение GIF файлов, сообщение диагностики:(INVARIANT_RESULT, ext/giflib/dgif_lib.c)
- [295560] #fsert отключен код ответсвеный за INTEGER_OVERFLOW ext/putty/crypto/mpint.c
- [295696] #fsert работа с PDF (mupdf), сообщение диагностики: NO_CAST.INTEGER_OVERFLOW ext/mupdf/mupdf/src/fitz/load-gif.c
- [295603] #fsert сжатие GIF, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, ext/giflib/egif_lib.c)
- [295592] #fsert отключен код ответсвеный за MEMORY_LEAK.EX ext/putty/utils/cert-expr.c
- [295568] #fsert преобразование текста из UTF-8 в нижний регистр, сообщение диагностики:(INTEGER_OVERFLOW, src/thinclient/gui/fltk/fl_utf8.cxx)
- [295589] #fsert подсчет общего количества символов, сообщение диагностики:(INVARIANT_RESULT, ext/harfbuzz/src/OT/Layout/Common/CoverageFormat2.hh)
- [295571] #fsert генерация отчетов (INTEGER_OVERFLOW, src/thinclient/reports/rc_table.cpp)
- [295570] #fsert вычисление начала последовательности в алгоритме кластеризации (INTEGER_OVERFLOW, src/thinclient/js/pkg_geo.cpp)
- [295588] #fsert подсчет общего количества символов, сообщение диагностики:(INVARIANT_RESULT, ext/harfbuzz/src/hb-ot-layout-common.hh)
- [294445] #fsert диалоговое окно с сообщением, сообщение диагностики: BAD_OVERRIDE src/thinclient/syswin/alerts.cpp
- [295047] Схемы: Библиотека примитивов - доработана подсказка для отсутствующей библиотеки
- [295700] #fsert работа с PDF (mupdf), сообщение диагностики: NO_CAST.INTEGER_OVERFLOW, pdf-object.c
- [295514] При отсутствии права на запись узла Роль, теперь все чек-боксы отключены
- [295292] Схемы: встраивание фигур - исправлена ошибка одновременного приклеивания к контуру крайних вершин соединительной линии при перемещении линии
+ [292332] Схемы: диаграммы - добавлена серия круговая диаграмма
+ [292333] Схемы: диаграммы - добавлена серия кольцевая диаграмма

--- 6.1103beta0 ---  29.01.2026
! [292727] Эффекты: Кривые
           Добавлена поддержка новых алгоритмов отрисовки эффектов.
! [292726] Эффекты: Ломаные
           Добавлена поддержка новых алгоритмов отрисовки эффектов.
! [292729] Эффекты: Изображения
           Добавлена поддержка новых алгоритмов отрисовки эффектов.
! [292724] Эффекты: Дуги
           Добавлена поддержка новых алгоритмов отрисовки эффектов.
! [292722] Эффекты: Эллипсы
           Добавлена поддержка новых алгоритмов отрисовки эффектов.
! [292721] Эффекты: Криволинейные области
           Добавлена поддержка новых алгоритмов отрисовки эффектов.
! [292720] Эффекты: Многоугольники
           Добавлена поддержка новых алгоритмов отрисовки эффектов.
- [292719] Эффекты: Сглаживания
           Введено ограничение, при котором сглаживание не будет рисоваться.
           Размер промежуточного изображения больше 1920x1080.
+ [288312] Эффекты: Тени
           Добавлен учёт закруглений при отрисовке теней.
- [291535] Эффекты: Тени
           Исправлен учёт подсветки при отрисовке теней.
- [291534] Эффекты: Тени
           Исправлен учёт сглаживания при отрисовке теней.
- [291533] Эффекты: Тени
           Исправлена некорретная отрисовка перспективных теней с положением «Снизу».
- [291532] Эффекты: Отражения
           Исправлен учёт теней при отрисовке отражений.
- [291531] Эффекты: Тени
           Оптимизирована отрисовка теней.
- [291529] Эффекты: Отражения
           Оптимизирована отрисовка отражений.
- [291528] Эффекты: Сглаживание
           Оптимизирована отрисовка сглаживания.
- [291527] Эффекты: Подсветка
           Оптимизирована отрисовка посветки.
- [295471] #fsert растеризация изображения, сообщение диагностики:(INTEGER_OVERFLOW, ext/mupdf/mupdf/src/fitz/draw-edgebuffer.c)
+ [268107] Схемы: Импорт - подключение формата файла *.drawio

--- 6.1102beta13 ---  в разработке
- [295465] #fsert фильтрация и обработка шрифтовых таблиц, сообщение диагностики:(INTEGER_OVERFLOW, ext/harfbuzz/src/hb-bit-set-invertible.hh)
- [293979] Схемы: комбинация ctrl+shift+a для выделения подобных фигур
- [295475] #fsert подсистема текстового извлечения и отображения, сообщение диагностики:(INTEGER_OVERFLOW, ext/mupdf/mupdf/src/pdf/pdf-cmap-parse.c)
- [295468] #fsert декодирование маркера LSE в формате JPEG *Jpeg9, сообщение диагностики:(INTEGER_OVERFLOW, ext/Jpeg9/jpeg-9e/jdmarker.c)
- [295564] #fsert Математика десятичных чисел, сообщение диагностики INTEGER_OVERFLOW decContext.c
- [295469] #fsert декодирование JPEG *Jpeg9, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, ext/Jpeg9/jpeg-9e/jdmarker.c)
- [295476] #fsert построение сложных градиентов *mupdf, сообщение диагностики:(INTEGER_OVERFLOW, ext/mupdf/mupdf/src/pdf/pdf-function.c)

--- 6.1102beta12 ---  29.01.2026
- [295474] #fsert поиск копии фрагмента данных *mupdf, сообщение диагностики:(INTEGER_OVERFLOW, ext/mupdf/mupdf/src/fitz/string.c)
- [295477] #fsert DEREF_AFTER_NULL.EX.COND src/thinclient/forms/fc_tree_editing.cpp
- [295478] #fsert DIVISION_BY_ZERO.UNDER_CHECK src/thinclient/gui/agg/include/agg_blur.h
- [295495] не изменяется размер модальной формы из скрипта при помощи form.width, произвольно увеличивается высота формы
- [295473] #fsert декомпрессия и копирование фрагментов TIFF-изображения *mupdf, сообщение диагностики:(INTEGER_OVERFLOW, ext/mupdf/mupdf/src/fitz/load-tiff.c)
- [295472] #fsert чтение и декодирование файлов формата psd *mupdf, сообщение диагностики:(INTEGER_OVERFLOW, ext/mupdf/mupdf/src/fitz/load-psd.c)
- [267913] Меню: исправлен расчет свободного места для текста
- [295470] #fsert инициализирует менеджер памяти *Jpeg9, сообщение диагностики:(INTEGER_OVERFLOW, ext/Jpeg9/jpeg-9e/jmemmgr.c)
- [295464] #fsert определение смещения данных тега *tiff, сообщение диагностики:(NO_CAST.INTEGER_OVERFLOW, ext/SDL2_image/src/external/tiff-4.0.9/libtiff/tif_dirwrite.c)
- [289389] Схемы: отображение информационного окна в отсутствие библиотек
+ [294709] обеспечение требований к паролям по длине (отдельно для пользователей, служебных поьзователей, администраторов)
           по настройке сложных паролей недолжно содержать имя пользователя, наличие букв в разныхрегистрах, цифр и спец символов
           не должно содержать трех и более подряд одинаковых символов или трех и более смежных символов клавиатуры(по горизонтали)
- [295467] #fsert искусственное изменение жирности шрифта *harfbuzz, сообщение диагностики:(INTEGER_OVERFLOW, ext/harfbuzz/src/hb-outline.cc)
- [295479] #fsert Сообщение диагностики: Поля ввода (DEREF_AFTER_NULL.EX.COND gui_input.cpp)
- [295466] #fsert чтение файла шрифта *harfbuzz, сообщение диагностики:(INTEGER_OVERFLOW, ext/harfbuzz/src/hb-blob.cc)
- [295463] #fsert формирование заголовка TIFF-файла *mupdf, сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, ext/SDL2_image/src/external/tiff-4.0.9/libtiff/tif_dirwrite.c)
- [295462] #fsert создание блока для текста *mupdf, сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, ext/mupdf/mupdf/src/fitz/stext-device.c)
- [295461] #fsert создание контура вокруг символа шрифта *mupdf, сообщение диагностики:(SIMILAR_BRANCHES, ext/mupdf/mupdf/src/fitz/font-mupdf.c)
- [294767] #fsert вычисление ширины символа *mupdf, сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, ext/mupdf/mupdf/src/fitz/font-mupdf.c)
- [295460] #fsert потоковое сжатия данных *SDL2_image, сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, ext/SDL2_image/src/miniz.h)
- [295292] Схемы: встраивание фигур - доработано одновременное приклеивание к контуру крайних вершин соединительной линии при перемещении линии
- [295455] Схемы: добавлено ограничение на склеивание прямой и прямоугольной соединительных линий через точку склейки
- [293242] Формы: Исправлено различное поведение Tab в клиентах

--- 6.1102beta11 ---  28.01.2026
- [295256] Grid: зависание после завершения редактирования ячейки
- [295481] дважды показывается окно ошибки при неправльном вводе даты в поле ввода
- [295336] Схемы: встраивание фигур - исправлена ошибка перестроения соединительных линий после перемещения фигуры в цепочке нескольких видов склеивания
- [295337] Схемы: встраивание фигур - исправлена ошибка склеивания соединительной линии одновременно с точкой склейки и контуром
- [295398] Схемы: встраивание фигур - исправлена ошибка отклеивания нескольких соединительных линий от точки склейки фигуры
+ [295038] Схемы: добавлена поддержка создания контейнеров из примитивов, содержащих в себе диаграмму как контрольную фигуру
- [295451] Доработана функция ownedGluedGeometryShape: теперь она возвращает массив всех ведущих фигур

--- 6.1102beta10 ---  26.01.2026
- [294761] #fsert переинициализация памяти *harfbuzz, сообщение диагностики:(BITINIT_FOR_NON_TRIVIALLY_COPYABLE, ext/harfbuzz/src/hb-null.hh)
- [292773] Отчеты: исправлена обработка границ у ячеек
- [295051] #fsert перекрашивание градиентной заливки *mupdf, сообщение диагностики:(DEREF_OF_NULL.EX.COND, ext/mupdf/mupdf/src/pdf/pdf-shade-recolor.c)
- [295252] Схемы: исправлена ошибка в механизме перетаскивания примитивов в бибилиотеку избранное
- [295251] Новое окно авторизации: Изменения
           - Увеличена ширина окна подтверждения обновления.
- [295058] #fsert интерпретация шрифтов CFF *mupdf, сообщение диагностики:(FALL_THROUGH, ext/mupdf/mupdf/src/fitz/subset-cff.c)
- [295255] Схемы: встраивание фигур - исправлена ошибка отклеивания фигуры после перемещения другой склеенной фигуры
- [295238] Схемы: встраивание фигур - исправлена ошибка повторного динамического приклеивания и приклеивания к точке склейки
- [295128] Схемы: убран прогрес загрузки при добавлении Wmf/Emf изображения
- [295113] Диаграммы: исправлен радиус нажатия на диаграмму серии "Линия"

--- 6.1102beta9 ---  23.01.2026
- [295050] #fsert сохранение pixmap в формате JPEG *mupdf, сообщение диагностики:(DEREF_OF_NULL.EX.COND, ext/mupdf/mupdf/src/fitz/output-jpeg.c)
- [295072] #fsert Бинарные объекты в JS сообщение диагностики #fsert FALL_THROUGH dukcppdm.cpp
- [295067] #fsert Грид: нажатие на А, рисование границ: сообщение диагностики: FALL_THROUGH gui_grid.cpp
- [295057] #fsert открытие GIF-потока и чтение метаданных *giflib, сообщение диагностики:(DEREF_OF_NULL.RET.LIB, ext/giflib/dgif_lib.c)
- [295106] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxChart.java
- [295093] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxChart.java
- [295024] #fsert Схемы: исправлен механизм определения цвета по навигации внутри панели выбора цвета,
           сообщение диагностики: DIVISION_BY_ZERO dialog_forms.cpp

--- 6.1102beta8 ---  23.01.2026
- [294765] #fsert конвертация цветов PDF *mupdf, сообщение диагностики:(DEREF_AFTER_NULL.EX.COND, ext/mupdf/mupdf/src/fitz/draw-device.c)
- [295078] плавающие окна некорректно переразмериваются с настройкой автоматического переразмеривания
- [295026] #fsert преобразование BMP RLE *mupdf, сообщение диагностики:(DIVISION_BY_ZERO.UNDER_CHECK, ext/mupdf/mupdf/src/fitz/load-bmp.c)
- [295073] #fsert Схемы: исправление обработки нажатий кнопок при вставке таблицы рисованием
           сообщение диагностики: FALL_THROUGH dialog_forms.cpp
- [295025] #fsert изменение насыщенности цвета *mupdf, сообщение диагностики:(DIVISION_BY_ZERO.UNDER_CHECK, ext/mupdf/mupdf/src/fitz/draw-blend.c)
- [295088] #fsert Сообщение диагностики: VSDX темы (FB.DLS_DEAD_LOCAL_STORE VsdxThemeParser.java)
- [295089] #fsert Сообщение диагностики: Импорт VSDX (FB.DLS_DEAD_LOCAL_STORE VsdxReader.java)
- [295204] Формы: Схемы: исправлена ошибка связанная с попыткой сохранения изменений на схеме в модель данных при переключении фокуса

--- 6.1102beta7 ---  23.01.2026
- [295023] #fsert преобразование BMP RLE *mupdf, сообщение диагностики:(DIVISION_BY_ZERO, ext/mupdf/mupdf/src/fitz/load-bmp.c)
- [291838] в методе компонента редактор рexecuteCreateUser ользователя не применяется группу пользователя  из первого параметра для пользователя в таблице
- [295110] #fsert Схемы: Импорт VSDX - Сообщение диагностики: SIMILAR_BRANCHES src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295099] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxTabs.java
- [295084] #fsert Схемы: Импорт VSDX - Сообщение диагностики: BAD_COPY_PASTE src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295104] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.UCF_USELESS_CONTROL_FLOW_NEXT_LINE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxShape.java
- [295105] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/themes/VsdxThemeParser.java
- [295100] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxTextParser.java
- [295101] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxUtils.java
- [295098] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxShape.java
- [295107] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxPageParser.java
- [295096] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxGeometryRow.java
- [295091] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/themes/VsdxTheme.java
- [295097] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxParagraph.java
- [295095] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxGeometry.java
- [295108] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxShape.java
- [295109] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.UUF_UNUSED_FIELD src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295094] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxControlPoint.java
- [295102] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/VsdxReader.java
- [295092] #fsert Схемы: Импорт VSDX - Сообщение диагностики: FB.PA_PUBLIC_PRIMITIVE_ATTRIBUTE src/server/agent/java/src/inform/agent/schemes/converters/vsdx/VsdxCharacter.java
- [295086] #fsert Схемы: Экспорт VSDX - Сообщение диагностики: DEREF_OF_NULL.EX.COND src/server/agent/java/src/inform/agent/schemes/VsdxWriter.java
- [295022] #fsert выравнивание границ области изображения *mupdf, сообщение диагностики:(DIVISION_BY_ZERO, ext/mupdf/mupdf/src/fitz/image.c)
- [295055] #fsert Сообщение диагностики: Поля ввода (DEREF_OF_NULL.EX.COND gui_input.cpp)
- [295021] #fsert растеризация *mupdf, сообщение диагностики:(DIVISION_BY_ZERO, ext/mupdf/mupdf/src/fitz/draw-edgebuffer.c)
- [295056] #fsert DEREF_OF_NULL.EX.COND src/thinclient/gui/gui_input.h
- [295083] #fsert Сообщение диагностики: Ленточный интерфейс (INTEGER_OVERFLOW sd_ribbon.cpp)
- [295053] #fsert DEREF_OF_NULL.EX.COND src/thinclient/gui/FL/Fl_Input_.H
- [295020] #fsert алгоритм сжатия цветов *jpeg9, сообщение диагностики:(DIVISION_BY_ZERO, ext/Jpeg9/jpeg-9e/jquant2.c)
- [295081] #fsert Сообщение диагностики: Окно слоёв (METHOD_CALL_BEFORE_BASE_INIT layers_panel.cpp)
- [294763] #fsert преобразование цветов *mupdf, сообщение диагностики:(DEREF_OF_NULL.EX.COND, ext/mupdf/mupdf/src/fitz/color-fast.c)
- [295049] #fsert cоздание маски для расположения элементов pdf *mupdf, сообщение диагностики:(DEREF_OF_NULL.EX.COND, ext/mupdf/mupdf/src/fitz/draw-device.c)
- [295030] #fsert конвертация TIFF в RGBA *tiff, сообщение диагностики:(DIVISION_BY_ZERO.UNDER_CHECK, ext/SDL2_image/src/external/tiff-4.0.9/libtiff/tif_getimage.c)
- [295069] #fsert FALL_THROUGH src/thinclient/gui/gui_single_tabs.cpp
- [295060] #fsert FALL_THROUGH src/thinclient/forms/fc_tree_editing.cpp
- [295070] #fsert FALL_THROUGH src/thinclient/gui/gui_tabs.cpp
- [295066] #fsert FALL_THROUGH src/thinclient/gui/fltk/Fl.cxx
- [295075] #fsert FALL_THROUGH src/thinclient/syswin/wait_window.cpp
- [295074] #fsert FALL_THROUGH src/thinclient/syswin/param_form.cpp
- [295080] #fsert METHOD_CALL_BEFORE_BASE_INIT src/thinclient/gui/FL/Fl_Device.H
- [295063] #fsert FALL_THROUGH src/thinclient/gui/agg/src/agg_vcgen_contour.cpp
- [295064] #fsert FALL_THROUGH src/thinclient/gui/agg/src/agg_vcgen_stroke.cpp
- [295062] #fsert FALL_THROUGH src/thinclient/gui/agg/include/agg_conv_adaptor_vcgen.h
- [295032] #fsert DIVISION_BY_ZERO.UNDER_CHECK src/thinclient/gui/agg/include/agg_blur.h
- [295028] #fsert превращение числа в текст *mupdf, сообщение диагностики:(DIVISION_BY_ZERO.UNDER_CHECK, ext/mupdf/mupdf/src/fitz/printf.c)
- [295078] #fsert INVARIANT_RESULT src/thinclient/gui/gui_window.cpp
- [295068] #fsert исправлена обработка событий в меню (сообщение диагностики: FALL_THROUGH src/thinclient/gui/gui_menu.cpp)
- [295029] #fsert развертывание ключа для алгоритма AES *putty, сообщение диагностики:(DIVISION_BY_ZERO.UNDER_CHECK, ext/putty/crypto/aes-sw.c)
- [293066] #fsert извлечения содержимого XMA формы *pdfbox, сообщение диагностики:(BAD_COPY_PASTE, ext/pdfbox/pdfbox/src/main/java/org/apache/pdfbox/pdmodel/interactive/form/PDXFAResource.java)
- [294753] #fsert чтение данных из pdf файла *mupdf, сообщение диагностики:(BUFFER_UNDERFLOW, ext/mupdf/mupdf/src/fitz/filter-basic.c)
- [294960] ошибка Invalid data sample state при получении записи из источника в компоненте и контроле Документ
- [294952] #fsert SIMILAR_BRANCHES src/thinclient/reports/report_types.cpp
- [294953] #fsert NO_EFFECT src/thinclient/reports/report_types.cpp
- [294950] #fsert NO_CAST.INTEGER_OVERFLOW  src/thinclient/datamodel/dm_js.cpp:3157
- [294948] отсутвует проверка неизменности содержимого файла во время загрузки в блоб файл в коспоненте внешние файлы
- [294946] #fsert Исправлена уязвимость CVE-2025-54874 библиотеки openjpeg (jp2.c)
- [294941] #fsert Выключена неиспользуемая функциональность MuPDF для рендеренга EPUB и HTML
- [293718] исправлен выход подчеркивания за границы текста у курсивных шрифтов
- [265758] отделять формы фрейма с разными значениями configKey
+ [294734] Схемы: Схемный контрол: Добавлены скриптовое свойство hyperLink у фигуры и скриптовое событие onControlClick у схемы
- [292070] #fsert декодирование черно-белых изображений *jbig2dec, сообщение диагностики:(DEREF_AFTER_NULL.EX, ext/jbig2dec/src/jbig2_generic.c)
- [294488] Внешние файлы: исправлена ошибка с лишней точкой в расширении
- [291000] Схемы: доработан механизм скроллирования схемы
- [270464] Схемы: доработан механизм скроллирования схемы с учётом линейки
- [294923] Схемы: доработан поиск с заменой для фигур, располагаемых на заблокированном слое
- [291382] Схемы: исправлена ошибка обновления шрифта в инспекторе объектов при смене имени шрифта примитива
- [294844] Схемы: доработана возможность проверки содержимого схем из локального кеша и с сервера в отладочном режиме с фильтрацией тегов
+ [293940] Схемы: добавлены различные способы отображения значков пересечения линий
- [294766] Схемы: встраивание фигур - исправлена ошибка повторного приклеивания к контуру фигуры
+ [294943] Схемы: встраивание фигур - добавлена возможность создания соединительной линии из контура фигуры
- [294593] Схемы: диаграммы - исправлена ошибка в отображение параметров для свойств "Поле оси данных X" и "Поле оси данных Y"
- [293022] #fsert Сообщение диагностики DEREF_AFTER_NULL src/thinclient/schemes/sd_ribbon_form.cpp
- [295065] #fsert Сообщение диагностики: FALL_THROUGH (Fl_Group.cxx:188)
- [295059] #fsert Сообщение диагностики: FALL_THROUGH (fc_server_task.cpp:188, fc_server_task.cpp:2607)
- [295071] #fsert Сообщение диагностики: FALL_THROUGH (dukabon.cpp:291)
- [295061] #fsert Сообщение диагностики: FALL_THROUGH (form.cpp:416)
- [294949] #fsert Схемы: получение страницы по индексу, сообщение диагностики (sd_scheme, NO_EFFECT)
- [294957] Диаграмма Ганта: исправлена ситуация, когда строка в диаграмме Ганта могла отображать предыдущую строку
- [295013] #fsert Сообщение диагностики: DEREF_OF_NULL.RET.STAT src/thinclient/schemes/bird_view.cpp
- [294450] #fsert Сообщение диагностики: SIMILAR_BRANCHES (engine.cpp:1409,1437,...,1980)
- [295046] Диаграммы: исправлена ошибка посторения диаграммы с несколькими осями

--- 6.1102beta6 ---  19.01.2026
- [294520] #fsert исправление переполнения при обработке изображений *mupdf, сообщение диагностики:(DIVISION_BY_ZERO.UNDER_CHECK, ext/mupdf/mupdf/src/fitz/pixmap.c)
- [294605] компонент редактор пользователей преждевременно обращается к источнику, не полностью компируется сортировка источнка в replaceCondiontsBy
- [293665] Документ: исправлены ошибки в механизме поиска
- [294461] #fsert исправление отступов в коде, сообщение диагностики:(CONFUSING_INDENTATION, src/thinclient/datamodel/record_content.cpp)
+ [289157] Схемы: добавлена возможность перетаскивания примитивов из подключенных библиотек в библиотеку Избранное
- [293496] #fsert Исправление затрагивает механизм добавления свойств в объекты в клиентском движке JavaScript. Сообщение диагностики DEREF_OF_NULL.EX duktape.cpp
+ [292840] Инспектор запросов: лог запросов дополнен информацией о результатах предвыборки, если настроено свойство "Предвыборка данных" у источника
- [293348] Формы: Деревья
           - Исправлена ошибка, в результате происходит зависание системы.
+ [294602] Схемы: добавлена поддержка на уровне theme.ini стилистических свойств - "Радиус скругления вкладок", "Радиус скругления закладок"
- [292074] #fsert декодирование графической области часть 3, сообщение диагностики:(INTEGER_OVERFLOW, ext/jbig2dec/src/jbig2_generic.c)
- [292073] #fsert декодирование графической области часть 2, сообщение диагностики:(INTEGER_OVERFLOW, ext/jbig2dec/src/jbig2_generic.c)
+ [292179] Справка: добавлена опция командной строки help-mode-with-topic для запуска клиента в режиме просмотра справки
- [292071] #fsert декодирование графической области *jbig2dec, сообщение диагностики:(INTEGER_OVERFLOW, ext/jbig2dec/src/jbig2_generic.c)
- [294456] #fsert Схемы: исправление при показе окна печати выделенной области. Сообщение диагностики CONFUSING_INDENTATION sd_tab.cpp
- [294459] #fsert Схемы: исправление при показе окна печати выделенной области. Сообщение диагностики CONFUSING_INDENTATION fc_scheme.cpp
- [294527] #fsert исправление в окне сбора диагностики на Linux Сообщение диагностики TAINTED_INT.MIGHT diagnostics.cpp
- [294523] #fsert FALL_THROUGH src/thinclient/gui/fltk/Fl_Input_.cxx:1378
- [294521] #fsert некоректное опредление необхоимости отображения скролов во фрейме с формой без ограничения размеров BAD_COPY_PASTE src/thinclient/forms/fc_frame.cpp:906
- [292082] #fsert Сообщение диагностики: CHECK_AFTER_OVERFLOW (trunk/ext/mupdf/mupdf/src/pdf/pdf-xref.c)
+ [294199] Схемы: добавлена возможность разгруппировки для Wmf/Emf файлов
- [294526] #fsert Схемы: настройка свойств линии фигуры через инспектор объектов (base_graphic, NULL_AFTER_DEREF)
+ [291713] Схемы: добавлена возможность удаления примитивов группой и папкой целиком в редакторе библиотеки примитивов
- [294597] Схемы: доработано отображение окна поиска фигур с учетом настроек темы
- [294596] Схемы: доработана отмена удаления фигур через диалог поиска
- [288608] Схемы: исправлена ошибка отображения привязки в случае добавления точек склейки для ломаных и многоугольников
- [294667] Схемы: исправлена ошибка настройки режима работы с точками склейки в соответствии с настройкой "Разрешить точки склейки"
+ [276026] Фильтрация: обновленная фильтрация для грида и дерева
- [294666] Схемы: исправлена отобржание иконки мышки при наведении на угловые точки для Wmf/Emf изображений
- [294706] Схемы: исправлена грамматическая ошибка в мастере создания организационных диаграмм
- [294711] Схемы: встраивание фигур - исправлена ошибка отклеивания фигуры при повторном приклеивании соединительной линии
- [293873] Схемы: встраивание фигур - доработано встраивание для фантомных фигур
- [294766] Схемы: встраивание фигур - отключена возможность повторного приклеивания к контуру фигуры
- [294707] Схемы: исправлено исключение, возникающее при отображении примитива без блока во всплывающем окне механизма автосоединения
- [294664] Схемы: исправлено зависание при импорте несколько Wmf/Emf изображений одновременно
+ [290187] Cхемы: диаграммы - добавлена возможность добавлять несколько записей в таблицу

--- 6.1102beta5 ---  13.01.2026
- [294502] #fsert Просмотр pdf с сжатием LZW (mupdf) Сообщение диагностики: BAD_COPY_PASTE compressed-buffer.c
- [294506] Новое окно авторизации: Исправления
           - Исправлена ошибка, в результате которой не был виден текст ошибки при неудачном подключении.
- [292054] #fsert Сообщение диагностики: OpenJPEG (BUFFER_OVERLAP openjpeg/src/invert.c)
- [294448] #fsert SIMILAR_BRANCHES src/thinclient/gui/gui_paint_offscreen.cpp: 526, 754
- [294460] #fsert CONFUSING_INDENTATION src/thinclient/js/pkg_filesystem.cpp: 473
- [292080] #fsert фильтрация шрифтов type3 *mupdf, сообщение диагностики:(DEREF_OF_NULL.EX, pdf-clean.c)
- [292077] #fsert Сообщение диагностики: mupdf (DEREF_OF_NULL.EX  mupdf/mupdf/src/fitz/list-device.c)
- [294453] #fsert Сообщение диагностики: Кривые (CONFUSING_INDENTATION spline.cpp)
- [294452] #fsert Сообщение диагностики: SIMILAR_BRANCHES (рисование сплайна: src/thinclient/schemes/spline.cpp)
- [294444] #fsert Сообщение диагностики: cглаживание, контейнеры (BAD_OVERRIDE container.h)
- [292079] #fsert проверка растровых данных mupdf, сообщение диагностики:(DEREF_AFTER_NULL.EX, pdf-clean.c)
- [294462] #fsert NO_EFFECT.MACRO src/thinclient/schemes/sd_library_form.cpp
- [293657] Новое окно авторизации: Исправления
           - Исправлена ошибка, возникающая при попытке сохранить подключение после того, как было открыто окно ввода пароля.
- [293622] #fsert Сообщение диагностики: UNINIT.LOCAL_VAR src/thinclient/js/pkg_strings.cpp
- [294288] #fsert Сообщение диагностики: BAD_ASSERT_EXPRESSION src/thinclient/datamodel/db_clipboard.cpp
- [294306] #fsert Сообщение диагностики: механизм проверки наличия ID узла в потоке (BAD_ASSERT_EXPRESSION oi_editors.cpp)
- [294297] #fsert Сообщение диагностики: Схемы страниц (BAD_ASSERT_EXPRESSION page_template_view.cpp)
- [294307] #fsert BAD_ASSERT_EXPRESSION src/thinclient/syswin/user_form.cpp: 3328,3412,3418,6133
- [294258] #fsert Сообщение диагностики: механизм обработки нажатий кнопок в ленточном интерфейсе (INVARIANT_RESULT gui_ribbon.cpp)
- [294292] #fsert сообщение диагностики: BAD_ASSERT_EXPRESSION (запуск отчетов: rc_field.cpp)
- [294310] #fsert сообщение диагностики:  FALL_THROUGH (окно редактирования пользователей: user_form.cpp)
- [294449] #fsert сообщение диагностики:  SIMILAR_BRANCHES (комбинирование фигур: clipper.cpp)
- [293620] #fsert Схемы: перемещение соединительной линии за вершину, сообщение диагностики (draw_engine, BAD_ASSERT_EXPRESSION)
- [294451] #fsert Схемы: настройка начертания у текстового абзаца, сообщение диагностики (paragraph, SIMILAR_BRANCHES)
- [294455] #fsert Схемы: перемещение примитива из панели с библиотеками примитивов, сообщение диагностики (sd_libraries_window, FALL_THROUGH)
- [294454] #fsert Схемы: локальный и общий поиск в панели с библиотеками примитивов, сообщение диагностики (sd_libraries_window, BAD_COPY_PASTE)
- [294458] #fsert Схемы: перестроение пересечений линий (polyline, INTEGER_OVERFLOW)
- [294446] #fsert системное окно с текстовым полем ввода, сообщение диагностики (alerts, SIMILAR_BRANCHES)
- [294443] Схемы: доработана возможность проверки содержимого схем из локального кеша и с сервера в отладочном режиме с учетом сортировки элементов схемы
- [293664] Схемы: диаграммы - исправлено масштабирование серии "Точка"
- [294457] #fsert Сообщение диагностики: CONFUSING_INDENTATION src/thinclient/schemes/polyline.cpp

--- 6.1102beta4 ---  12.01.2026
- [292939] некорретно сортируется столбец грида типа узел метаданных, если до этого грид был не отсортирован
+ [294217] Формы: Календарь - добавлен хинт для событий, у которых есть описание или название не помещается в плитку

--- 6.1102beta3 ---  30.12.2025
- [282866] Формы: В случае если у столбца таблицы, или дерева отсутствует заголовок, или он представлен в html виде, то в диалоговом окне "Видимость столбцов" будет отображаться имя столбца
	   взятое из поля подсказки, в случае если поле подсказки будет пустым, то в качестве имени будет использоваться текст <столбец>
- [290102] Схемы: В режиме редактирования примитивов, скрыт пункт контекстного меню Добавить в избранное
+ [292810] Формы: Добавлена комбинация быстрых клавиш (alt+стрелка вниз) для компонента edit, выполняющая аналогичные действия как и нажатие на кнопку в поле редактирования
- [293370] Отчеты: исправлена ошибка печати параграфов в xlsx
- [293081] Схемы: исправлены ошибки в работе скруглений
- [293699] Отчеты: исправлена ошибка обработки свойства "в одну строку" для ячеек таблиц
- [292967] Формы: Календарь - мелкие исправления:
           - Исправлено выделение плитки дня при наведении на длительное событие
           - Изменены размеры отступов у плиток событий
+ [293715] Формы: Календарь - в стиль компонента добавлено новое свойство "Рисовать границу событий"
- [283452] Диаграммы: исправлена ошибка с отображением кастомного окна подсказки
- [293360] Выбор записей формой: неправильно добавлялись записи в дерево данных
+ [293680] Формы: для компонента "закладки" в режиме многострочности добавлена опция фиксации закладок
- [291448] Схемы: Добавлено логирование ошибки при загрузке схемы с некорректными слоями
- [293638] Grid: не отображался текст быстрого фильтра
- [293564] #fsert Аудит флагов компиляции
- [275143] Формы: исправлена ошибка при редактировании поля ввода содержащего маску
- [293619] #fsert Схемы: правки выравнивания фигур, сообщение диагностики (draw_engine, BAD_COPY_PASTE)
- [293119] Исправлено некорректное отображение пользовательских окон с примененными стилями
- [293551] Схемы: Инспектор объектов - доработана отмена свойств раздела "Линия"
- [271000] зависание при вызове frame.reload(), frame.sync() в рамках одного события, если фрейм предварительно освобожать свою форму по условию отсутвия записи в источнке фрейма
- [292967] Формы: Календарь - исправлено неодинаковое обрезание наименований событий
+ [290825] Формы: добавлен новый шрифт 'Lato'
- [293606] #fsert Сообщение диагностики: FALL_THROUGH
           - Исправлена неаннотированная передача управления между ветками switch при определении допустимых мест стыковки окон, таких как свойства фигур, библиотеки и т.д, в редакторе схем.
- [293495] #fsert Сообщение диагностики: BAD_ASSERT_EXPRESSION
           - Исправлено использование неконстантного объекта в секции assert при переключении вкладок в Ribbon интерфейсе.
- [293361] #aves: исправлен экспорт больших схем в png/jpg
- [293383] Схемы: RIBBON - Исправления
           - Исправлено некорректное отображение изображений на кнопках «Темы» и «Варианты» на широкоформатных мониторах.
- [293527] Схемы: Таблицы - исправлен поворот текста в ячейках
- [293387] Схемы: Диалог настроек - исправлено поведение свойства "Цвет сетки"
- [293323] Формы: Исправления
           - Исправлена ошибка «invalid data sample state», возникающая при работе с формами
- [293388] Схемы: Диалог настроек - исправлено поведение свойства "Разрешить точки склейки"
- [293406] не сохраняются вводимые даанные в дереве данных если нажать кнопку сохранения не завершая редактирование в ячейке
- [293491] #fsert ФСТЭК версия не зависит от OpenSSL
- [293364] Схемы: Библиотека примитивов - доработано отображение некорректно загруженной библиотеки в окне "Библиотеки" (название удалённой библиотеки, подсказка)
- [293375] Схемы: Исправления
           - Исправлена ошибка, при которой была доступна функция «Схемы страниц» при редактировании примитива.
- [292967] Формы: Календарь - перетаскивание событий недоступно, если не задано соответствующее скриптовое событие
- [292967] Формы: Календарь - исправлены ошибки в отрисовке длительных и скрытых событий
! [291910] Отключена возможность переразмеривания окна приложения при активации/деактивации модального окна
- [293373] Схемы: добавлены недостающие иконки в меню справки графического редактора
- [293377] Схемы: отключена настройка по экспресс-стилям ленточного интерфейса в редакторе примитива
- [293379] Схемы: отключена возможность настройки выбора страниц для поиска с заменой текста в редакторе примитива
- [293378] Схемы: отключена возможность управления слоями через ленточный интерфейс в редакторе примитива
- [293389] Схемы: отключена настройка по созданию страницы ленточного интерфейса в редакторе примитива
- [293411] Схемы: исправлена подсказка кнопки из статусной строки для отображения предпросмотра фигуры в редакторе примитива
- [293374] Схемы: исправлена ошибка при попытке добавить примечание во время редактирования примитива
- [293597] Схемы: исправлена ошибка некорректного форматирования даты при отображении новых добавленных примечаний
- [293507] Схемы: исправлены ошибки по настройки стиля линии через панель быстрого доступа
- [293519] Схемы: доработано обновление свойств "Стиль заливки", "Стиль линии" при значении "Нет заливки", "Нет линии" у цветовых свойств фигуры
- [293407] Схемы: доработана возможность закрытия окна редактирования стилей по клавише Escape
- [293489] Схемы: исправлена ошибка пропадания примечаний после смены типа соединительной линии
- [293393] Схемы: форматированный текст - исправлена ошибка уменьшения отступа для текста, выровненного по центру
+ [284755] Схемы: диаграммы - добавлено удаление нескольких записей в таблице
- [293382] Схемы: диаграммы - исправлено отображение точек у серий
- [263212] Схемы: исправлена ошибка невозможности отменить действии при действии "Заменить всё" в окнах "Заменить" и "Орфография"
- [287418] Схемы: исправлена ошибка обновления элементов буфера отмена и повтора
- [293380] Схемы: диаграммы - исправлен размер подписей к диаграмме
- [293497] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (USE_AFTER_FREE)
- [293565] Схемы: диаграммы - исправлена отрисовка диаграммы при отрицательных значениях ширины или высоты
- [293021] #fsert BUFFER_OVERFLOW.SPRINTF src/thinclient/schemes/sd_note_window.cpp
- [293520] Схемы: исправлено некорректное отображение цвета шрифта в инспекторе объектов для текстового блока, если тема на странице отсутствует
- [293484] Схемы: изменен механизм отмены и повтора для группировки, разгруппировки и перегруппировки
+ [284016] Схемы: добавлены графические пометки
- [293343] Диаграммы: исправлено использование дефолтных цветов
- [293494] #fsert Сообщение диагностики: смена типов стрелок у соединительной линии (DEREF_OF_NULL.RET.STAT)
- [293596] Схемы: окно ввода примечаний скрывает заглавные буквы
- [293599] Схемы: при добавлении фигур в избранное у них не сохраняются примечания
- [293608] Схемы: исправлена ошибка поиска с заменой текста в случае текста для фигур
- [293662] Схемы: исправлено поведение кнопка "Найти далее" для поиска с заменой текста
- [267007] Схемы: исправлена ошибка привязки к контуру в случае разрезания ломаных
+ [290052] Схемы: рисование изображений в формате *.wmf, *.emf
- [293024] #fsert Сообщение диагностики: добавлена проверка на наличие схемы (DEREF_AFTER_NULL.EX)
- [293272] Документ: исправлена ошибка вставки изображения в документ из буфера обмена
- [291607] Схемы: исправлена ошибка - при нажатии Shift + A фигуры на заблокированных слоях не выделяются
- [288796] Схемы: исправлены формулировки в меню таблицы на общепринятые: вставить строку сверху/снизу, столбец слева/справа
- [280336] Схемы: исправлена ошибка выявления конфликтов после импорта и редактирования схемы в многопользовательском режиме
+ [281390] Схемы: встраивание фигур - добавлено приклеивание к контуру для соединительных линий

--- 6.1102beta2 ---  18.12.2025
- [291637] Схемы: Лента, Библиотека примитивов - добавлено отображение некорректно загруженной библиотеки в окне "Библиотеки" (пустое поле)
+ [293244] Формы: Календарь - Изменения:
            - добавлено уменьшенное представление
            - исправлено поведение свойств "periodDateTime" и "focusDateTime"
            - теперь, если для события передан только основной цвет, дополнительный сгенерируется автоматически на основе его яркксти
- [291907] Документ: исправлено некорректное сохранение содержимого документа в поле таблицы
- [293133] Схемы: Скругления - исправлена ошибка, которая могла возникать во время привязки к скругленной фигуре
- [291364] Схемы: исправлена отмена создания выноски в момент начала ввода текста
- [293197] Схемы: доработана возможность проверки содержимого схем из локального кеша и с сервера в отладочном режиме
- [293235] Схемы: таблицы - исправлена ошибка выделения после удаления частей таблицы из контекстного меню
- [293223] Схемы: доработка общего механизма выделения
- [293025] #fsert сообщение диагностики DEREF_OF_NULL.DYN_CAST в base_graphic.cpp
+ [289740] Схемы: диаграммы - добавлена возможность менять порядок таблиц
- [289189] Формы: исправлена ошибка, из-за которой событие form_AfterInputParams не вызывалось при выборе параметров
- [289136] Схемы: для полей ввода области примечаний добавлено контекстное меню
- [289137] Схемы: в области примечаний не отображаются примечания фигур находящихся в группе
- [289138] Схемы: исправлена ошибка повторной фильтрации примечаний по пользователю
- [293317] Схемы: исправлена ошибка изменения размеров окна с размерными стилями
- [291883] Схемы: доработано отображение таблиц с учетом поворота
- [289139] Схемы: в окно поиска добавлена возможность искать фигуры по тексту примечаний
- [293318] Схемы: исправлена ошибка отображения свойств стрелок соединительной линии в инспекторе объектов, созданной после автосоединения
- [293349] Схемы: исправлена ошибка отображения примитива в момент добавления на схему

--- 6.1102beta1 ---  15.12.2025
+ [291750] Формы: Календарь - добавлена поддержка длительных событий
+ [293155] прототип дизайнера текстового представления структуры таблицы
- [289480] Схемы: диаграммы - исправлена ошибка клиппинга диаграмм
- [293210] Схемы: таблицы - исправлена ошибка выделения после удаления таблицы целиком
- [288789] Схемы: доработана индикация точек склеек при соединении соединительной линии
+ [288146] Схемы: создание схем - добавлена возможность создания организационных диаграмм по внешним данным
+ [293121] Схемы: добавлена возможность отключения локального кеширования схем
+ [293197] Схемы: добавлена возможность проверки содержимого схем из локального кеша и с сервера в отладочном режиме
- ASSERT: validIndex(index) core::MetadataNode
- [293039] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (DEREF_AFTER_NULL.EX)
- [293040] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (DEREF_AFTER_NULL.EX)
- [293047] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (USE_AFTER_FREE)

--- 6.1102beta0 ---  11.12.2025
- [292967] Формы: Календарь - исправлена ошибка, из-за которой события могли не отображаться в календаре
- [293036] #fsert BUFFER_OVERFLOW.LOOP ext/Jpeg9/jpeg-9e/jdhuff.c
- [293038] #fsert BUFFER_UNDERFLOW ext/Jpeg9/jpeg-9e/jctrans.c
- [293038] #fsert BUFFER_UNDERFLOW ext/Jpeg9/jpeg-9e/jctrans.c
- [281025] Формы: Деревья - Исправления
           - Исправлено зависание клиента при попытке удалить узел дерева, у которого есть дочерние элементы.
- [293042] #fsert DEREF_OF_NULL.EX ext/harfbuzz/src/hb-ot-tag.cc
- [293023] fsert DEREF_AFTER_NULL.EX forms/fc_grid.cpp (портировано из 6.1101rc4)
- [292056] #fsert ext/mupdf/mupdf/src/fitz/filter-basic.c BUFFER_UNDERFLOW
- [292923] Схемы: Скругления - исправлена ошибка, которая могла возникать при работе со скругленными соединительными линиями
- [292770] Схемы: Исправлена ошибка assert в файловых диалогах, при длинных сообщениях
- [293020] fsert BUFFER_OVERFLOW.LOOP src/common/hvif2avit.cpp
- [293035] fsert BUFFER_OVERFLOW.EX ext/SDL2_image/src/miniz.h
- [293026] fsert INTEGER_OVERFLOW src/adt/adt_unix.cpp
- [293043] #fsert DEREF_OF_NULL.EX src/thinclient/js/duktape/duktape.cpp
- [292897] использование dsl поисков и форм
- [292907] Grid: зависание при подготовке данных ячеек таблицы для отчета
- [292045] #fsert duktape/duktape.cpp NO_EFFECT
- [292044] #fsert duktape/duktape.cpp NO_CAST.INTEGER_OVERFLOW
- [292132] #fsert src/thinclient/js/duktape/dukcpp.h DEREF_OF_NULL.EX
- [292967] Формы: Календарь - исправлена ошибка, из-за которой компонент мог не отрисовываться без источника данных
- [292891] Формы: Поля ввода - Изменения
           - Изменено поведение поля ввода при использованиие скриптового свойства color.
             Теперь при задании цвета через данное свойство, настроенные в стиле будут заменятся на укзанное значение.
             Свойства стиля полей ввода для которых это верно:
             - Цвет фона
             - Цвет фона в неактивном состоянии
             - Цвет фона в состоянии «Только для чтения»
- [292929] Grid: неправильное значение столбца типа "Дата" при вставке значения из буфера обмена
- [292058] #fsert ext/mupdf/mupdf/src/pdf/pdf-op-color.c DEREF_AFTER_FREE
- [292059] #fsert ext/mupdf/mupdf/src/pdf/pdf-op-color.c BAD_COPY_PASTE
- [292129] #fsert ext/mupdf/mupdf/src/pdf/pdf-clean-file.c DEREF_OF_NULL.EX
- [292156] #fsert ext/mupdf/mupdf/src/pdf/pdf-form.c USE_AFTER_FREE
- [292118] #fsert ext/mupdf/mupdf/src/fitz/draw-scale-simple.c DEREF_OF_NULL.EX
- [292055] #fsert ext/Jpeg9/jpeg-9e/jctrans.c BUFFER_UNDERFLOW
- [292019] #fsert ext/Jpeg9/jpeg-9e/jchuff.c NO_CAST.INTEGER_OVERFLOW
- [292037] #fsert duktape/duktape.cpp DEREF_OF_NULL.EX
- [292021] #fsert ext/Jpeg9/jpeg-9e/jdhuff.c CHECK_AFTER_OVERFLOW
- [293045] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (USE_AFTER_FREE)
- [292022] #fsert ext/mupdf/mupdf/src/pdf/pdf-font.c BUFFER_OVERFLOW.LOOP
- [292911] Схемы: Окно библиотек примитивов
           - Исправлен ACCESS VIOLATION при попытке подключить библиотеку, в которой есть фигуры с эффектами.
- [291871] Схемы: сквозные группы - исправлена ошибка удаления вложенной сквозной группы при удалении контейнера
- [293012] Схемы: сквозные группы - исправлена ошибка выделения сквозной группы по ключевой фигуре по прямоугольной области
- [259995] Схемы: таблицы - исправлена ошибка удаления строк/столбцов таблицы
- [291369] Схемы: таблицы - добавлена возможность удаления и вырезания ячеек, строк, столбцов таблицы, если таблица выделена с другими фигурами
- [293078] Схемы: исправлена ошибка сохранения текстовых фигур после выполнения замены через опцию "Заменить всё"
- [293056] Формы: Исправлена ошибка, из-за которой не передовался фокус при ивенте из поле ввода

--- 6.1101beta3 ---  08.12.2025
- [292698] Отчеты: исправлена ошибка печати баркодов
- [292036] #fsert DEREF_AFTER_NULL.EX src/thinclient/js/duktape/duktape.cpp
- [292887] Формы: Календарь - исправлено позиционирование при смене фокусной даты
- [292844] Формы: Календарь - наименования событий приведены к более понятному виду
- [292808] Исправлен запуск серверного модуля с параметрами в --batch режиме
- [292703] Схемы: внесены правки в механизм инструмента "Усечение линий"
- [291968] Схемы: доработан механизм добавления страниц с учетом текущей разметки
- [292906] Схемы: сквозные группы - исправлена ошибка масштабирования
- [292821] Схемы: исправлена ошибка выделения фигур после отмены группировки
- [292905] Схемы: ленточный интерфейс - отключены кнопки по настройке страниц при редактировании примитива библиотеки
- [291910] Восстановлена возможность переразмеривания окна приложения при активации/деактивации модального окна для ОС Windows
- [292124] Схемы: исправлен размер поля ввода поиска примитивов для классического интерфейса
- [292917] Схемы: исправлена ошибка отображения точек склеек после смены типа соединения ломаной

--- 6.1101beta2 ---  04.12.2025
- [291968] Схемы: Исправлен некорректный масштаб при создании новых страниц редактора схем
+ [279858] Схемы: реализована смена вида курсора в диалоге печати
- [292223] Схемы: Исправлено отображение иконки в окне удаления нескольких слоев
- [291973] Формы: пакет WaitWindow - исправлена ошибка, из-за которой метод fail() мог работать некорректно
- [292761] #fsert Внесены изменения для поддержки компиляции на стандарте C++2a
+ [291897] Добавлены коды завершения программы в --batch режиме в случае возникновения ошибки
+ [290837] Формы: Календарь - добавлены поддержка стилей и новое свойство "Максимальное отображаемое количество событий"
- [287960] Схемы: приведены к единому интерфейсу настройки изображения: "Обрезать изображение" и "Формат рисунка"
- [289754] Схемы: Ленточный интерфейс (Преобразование) — исправлена ошибка: теперь у кнопок "Превратить", "Комбинирование", "Вырезать область" отключается видимость при недоступности всех инструментов и корректно показывает иконку последнего выбранного.
- [291999] Grid: скорректировано отображение значения быстрого фильтра для столбца с представлением HTML
+ [292738] Отчеты XLSX: добавлено для формул свойство precalcValue
- [292091] #fsert Аналитическая таблица: DEREF_AFTER_NULL.EX forms/fc_analitics_process.cpp (портировано из 6.1008, beta3)
- [292063] #fsert ext/Freetype/src/autofit/aflatin.c DEREF_AFTER_NULL.EX
- [292604] Формы: Календарь - доработано отображение названий событий при включенном HTML-форматировании
- [292219] Формы: Календарь - доработано отображение названий событий
- [292133] #fsert src/thinclient/syswin/file_dialog.cpp DEREF_OF_NULL.EX
- [292143] #fsert ext/mupdf/mupdf/src/fitz/subset-ttf.c OVERFLOW_UNDER_CHECK
- [292134] #fsert src/thinclient/syswin/file_dialog.cpp DEREF_OF_NULL.ASSIGN
- [292088] #fsert src/thinclient/forms/fc_tree.cpp DEREF_AFTER_NULL.EX
- [292089] #fsert src/thinclient/forms/fc_tree.cpp FALL_THROUGH
- [291988] Формы: исправлена ошибка, которая не позволяла открывать внешние файлы через компонент "Внешние файлы"
- [292093] #fsert src/thinclient/forms/fc_grid.cpp FALL_THROUGH
- [292094] #fsert src/thinclient/forms/fc_grid.cpp INVARIANT_RESULT
- [292090] #fsert ext/SDL2_image/src/IMG_jpg.c DEREF_AFTER_NULL.EX
- [292096] #fsert src/thinclient/forms/fc_grid.cpp NO_EFFECT
- [292100] #fsert src/thinclient/main_window.cpp DEREF_AFTER_NULL.EX
- [292099] #fsert src/thinclient/gui/gui_inplace_edit.cpp FALL_THROUGH
- [292113] #fsert ext/harfbuzz/src/hb-ot-tag.cc DEREF_OF_NULL.EX
- [292102] #fsert src/thinclient/syswin/filter_form.cpp DYNAMIC_OVERFLOW.EX
- [292151] #fsert ext/SDL2_image/src/IMG_png.c SIZEOF_POINTER_TYPE.CHAR
- [292135] #fsert src/thinclient/syswin/multi_folder_file_dialog.cpp FALL_THROUGH
- [292138] #fsert src/thinclient/tools/param_bind.cpp DEREF_OF_NULL.EX
- [292005] #fsert ext/SDL2_image/src/miniz.h BUFFER_OVERFLOW.EX
- [292140] #fsert ext/mupdf/mupdf/src/pdf/pdf-form.c FREE_NONHEAP_MEMORY
- [292009]  #fsert ext/SDL2_image/src/miniz.h DEREF_AFTER_NULL.EX.COND
- [292008] #fsert ext/SDL2_image/src/miniz.h BUFFER_UNDERFLOW
- [292131] #fsert Cообщения диагностики: менеджер шрифтов (DEREF_OF_NULL.EX)
- [292150] #fsert Cообщения диагностики: дерево метаданных (FALL_THROUGH)
- [292053] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (BUFFER_OVERLAP)
- [292066] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (DEREF_AFTER_NULL.EX)
- [292069] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (DEREF_AFTER_NULL.EX)
- [292114] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (DEREF_OF_NULL.EX)
- [292115] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (DEREF_AFTER_NULL.EX.COND)
- [292116] #fsert Cообщения диагностики: внутренний механизм рисования содержимого *.pdf (DEREF_OF_NULL.EX.COND)
- [291963] Схемы: сквозные группы - доработан механизм разделения соединительной линии, выступающей в качестве ключевой фигуры
- [291966] Схемы: сквозные группы - доработан механизм смены направления соединительной линии, выступающей в качестве ключевой фигуры
- [292001] Схемы: сквозные группы - исправлен механизм поворота и масштабирования через инспектор объектов
- [291793] Схемы: сквозные группы - доработано выделение фигур после отмены и повтора разгруппировки и удаления сквозных групп
- [292103] Схемы: сквозные группы - исправлено отображение сквозной группы через поиск
- [291748] Схемы: встраивание фигур - исправлены ошибки встраивания фигур при копировании по Ctrl
- [291878] Схемы: диаграммы - исправлено масштабирование и отрисовка диаграмм
+ [289741] Схемы: диаграммы - добавлено свойство цвет серии
- [292027] #fsert src/thinclient/gui/fltk/Fl_Valuator.cxx BUFFER_OVERFLOW.LOOP
- [292052] #fsert src/thinclient/schemes/sd_note_window.cpp BUFFER_OVERFLOW.SPRINTF
- [292235] Схемы: исправлены подсказки у стилей заливки
- [292762] Схемы: таблицы - исправлена ошибка перемещения строк или столбцов таблицы
- [292760] Схемы: таблицы - исправлена ошибка импорта отступов ячеек таблицы
- [292751] Схемы: исправлена ошибка очистки неиспользуемых примитивов во встроенной библиотеке
+ [289744] Схемы: диаграммы - при добавлении новой серии поля настраиваются автоматически
- [292816] Схемы: диаграммы - исправлено обновление диаграммы после добавления, удаления и перемещения серий
- [291357] Схемы: исправлена ошибка зависания приложения при выполнении операции "Показать полностью"
- [270995] Схемы: добавлена диагностика некорректной информации на этапе загрузки схемы
- [292703] Схемы: доработано сохранение вложенности в контейнер фигур после использования инструмента "Усечение линий"
- [292838] Схемы: диаграммы - исправлена ошибка отображения диаграммы при перемещении

--- 6.1101beta1 ---  28.11.2025
+ [292221] Формы: Календарь - добавлено свойство HTML-форматирование
- [292141] Схемы: исправлена ошибка при вставке таблицы из буфера обмена
! [291886] рефакторинг версионирования
- [292026] #fsert сообщение диагностики: src/common/hvif2avit.cpp BUFFER_OVERFLOW.LOOP
- [292051] #fsert сообщение диагностики: src/thinclient/gui/fltk/Fl_Preferences.cxx BUFFER_OVERFLOW.SPRINTF
- [292057] #fsert сообщение диагностики: ext/SDL2_image/src/external/tiff-4.0.9/libtiff/tif_ojpeg.c BUFFER_UNDERFLOW
- [292062] #fsert Сообщение диагностики: DEREF_AFTER_FREE common/nanosvg.h
- [292087] #fsert Сообщение диагностики: DEREF_OF_NULL.EX forms/fc_tree.cpp
- [291956] Исправлена функция вставки из буфера через Win + V
- [292189] Схемы: исправлена ошибка, которая могла приводить к завершению программы при использовании скруглений
- [292154] #fsert Сообщение диагностики: STATIC_OVERFLOW syswin/launch_panel.cpp
- [292155] #fsert Сообщение диагностики: BAD_ASSERT_EXPRESSION syswin/launch_panel.cpp
+ [290900] Формы: Календарь - добавлена поддержка перетаскивания событий
- [292137] #fsert сообщение диагностики: DEREF_OF_NULL.EX #fsert syswin/oi_tree.cpp
- [292145] #fsert сообщение диагностики: OVERFLOW_UNDER_CHECK gui/agg/src/agg_vcgen_dash.cpp
- [292146] #fsert сообщение диагностики: FALL_THROUGH src/thinclient/gui/agg/src/agg_vcgen_dash.cpp
- [292148] #fsert Сообщение диагностики: OVERFLOW_UNDER_CHECK src/thinclient/syswin/inline_history.cpp
- [292149] #fsert сообщение диагностики: FALL_THROUGH src/thinclient/syswin/inline_history.cpp
- [292152] #fsert сообщение диагностики: STATIC_OVERFLOW src/thinclient/js/pkg_colors.cpp
- [291912] Отчеты: исправлена ошибка обновления заголовка окна печати
- [292085] Отчеты: исправлена ошибка "вылета" клиента при наличии рекурсий в выражениях
- [292095] перестала срабатывать кнопка с результатом нажатия по enter если фокус ввода находится на поле ввода
- [291880] в некоторых случаях не сохраняется позиционирование источнка выполненное в скрипте в скриптовых обработчиках грида, связанных с изменением текущей ячейки грида
- [291811] Тонкий клиент: Фреймы - Исправления
           - Исправлена ошибка, в результате которой для фрейма мог загрузиться некорректный узел.
- [291806] Закладки: исправлена ошибка вызова событий
+ [291960] Формы: добавлен новый компонент "Календарь", представление "Месяц"
+ [291911] Схемы: Добавлены горячие клавиши для поиска с заменой
- [291943] Схемы: Импорт DWG/DXF - аварийное завершение в Linux при импорте атрибутов более 255 байт
- [291869] Схемы: Скрыта кнопка "Вставить специальный символ"
- [291268] Схемы: исправлено ошибочное применение толщины линии к фигуре, когда нажатие производится вне виджета "Толщина линии"
+ [291702] Добавлена возможность просмотра времени изменения файла через редактор JavaScript
! [291430] Схемы: исправление некорректной работы отмены заливки и линий для групп
! [291870] #fsert В версиях под ФСТЭК не разрешается более двух параллельных сессий для Администраторов
+ [280331] Формы: для компонента "вкладки" в режиме многострочности добавлена опция фиксации вкладок
- [289479] Схемы: диаграммы - отмена правка по исправлению ошибки пересчета осей при масштабировании
- [289163] Схемы: диаграммы - отмена правка по исправлению функции копировать диаграмму как изображение
- [289402] Схемы: диаграммы - отмена правка по исправлению ошибки избыточного отступа при отрисовке текста на левой оси
- [291917] Схемы: сквозные группы - отключено автосоединение для дочерних фигур сквозной группы, кроме ключевой
- [291941] Схемы: сквозные группы - доработано отображение дочерних фигур сквозной группы при перемещении группы в контейнер
- [291957] Схемы: сквозные группы - исправлена ошибка пересчета габаритов дочерних фигур сквозной группы после перемещения группы
- [291940] Схемы: сквозные группы - доработано перемещение дочерних фигур сквозной группы с помощью контейнера при частичном выеделении фигур
- [291812] Схемы: сквозные группы - исправлена ошибка перемещения сквозной группы в случае помещения дочерних фигур в стороннюю графическую группу
- [291914] Схемы: сквозные группы - доработано удаление сквозных групп
- [292166] Схемы: встраивание фигур - исправлена ошибка отклеивания фигуры от контура
- [292205] Схемы: встраивание фигур - исправлена ошибка перемещения фигур, прикленных к некоторым участкам контура многоугольника
- [291994] Схемы: встраивание фигур - исправлено отображение маркера склеивания к контуру фигуры при перемещении ломаной, состоящей из двух вершин
- [287773] Схемы: отменено событие onMove у библиотечных примитивов
- [291431] Схемы: исправлена ошибка замены текста по выделенным объектам
- [291707] Схемы: доработана отмена и повтор вращения фигуры через маркер вращения
- [291154] Схемы: исправлено отображение курсора мыши в случае выделения и наложения фигур
- [292130] Схемы: отключена кнопка "По теме" у ячеек таблицы по всем стилестическим свойствам, которые наследуют эти свойства от таблицы, в соответствующих диалогах настройки этих свойств
- [291292] Схемы: исправлена ошибка обновления панели быстрого доступа при снятии выделения с текстовых фигур
- [292250] Схемы: доработано отображение вставок примитива
- [291711] Схемы: доработан случай импорта библиотек с примитивами, используемых в других загруженных библиотеках
+ [292123] Схемы: JS - добавлен метод load
+ [283451] Диаграммы: добавлена функция дублирования основной оси
+ [283450] Диаграммы: добавлена функция направляющие
- [291383] Схемы: исправлена ошибка в работе инспектора объектов
- [292032] Схемы: доработано поведение ввода текста в момент закрытия вкладки с редактором
! [291910] Отключена возможность переразмеривания окна приложения при активации/деактивации модального окна
- [291972] Схемы: отключение тем и стилей для диаграмм и картинок
- [291873] Схемы: переработка параметров в событии OnResize
! [291696] #android Реализован сканер штрих-кодов (Только для устройств с Google Mobile Services)
- [292159] #android доработки по пользовательскому интерфейсу и документации мобильного сканера
- [292157] диаграмма Ганта: исправлено некорректное отображение диаграммы при изменении масштаба таблицы
- [292098] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX.COND gui/gui_inplace_edit.cpp (портировано из 6.1008, beta3)
- [292101] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX syswin/filter_form.cpp (портировано из 6.1008, beta3)
- [292097] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX gui/gui_inplace_edit.cpp (портировано из 6.1008, beta3)
- [292092] #fsert Сообщение диагностики: DEREF_AFTER_NULL.EX forms/fc_grid.cpp (портировано из 6.1008, beta3)
- [292208] Схемы: удалена опция наследования шрифта от таблицы для ячеек таблицы
- [292033] #fsert Сообщение диагностики: MEMORY_LEAK.EX

--- 6.1100 ---  19.11.2025
- [291817] Схемы: RIBBON - Окно библиотек примитивов
           - Исправлен Access Violation при попытке перетащить элемент из библиотеки примитивов
+ [291441] Добавлена обработка вставки из буфера через Win + V
+ [270995] Схемы: включение клиентских шрифтов при экспорте в pdf
- [291709] не освобождается память при вызове extFiles.appendDropFiles(dropFiles), в десктопной версии при таскании файлов из проводника в клиент не загружать содержимое файлов в память, получать контенты по требованию
- [291636] Схемы: сквозные группы - доработана группировка
- [291658] Исправлены ошибки кодировки при использовании функции enumDirectory пакета FileSystem на Windows
- [291602] #fsert сообщение диагностики: ext/putty/utils/tree234.c DEREF_AFTER_NULL.EX
- [291743] Схемы: кнопка "Очистить" на странице "Дополнительно" в диалоге настроек становится доступна, если выбран хотя бы один вариант из раздела
- [291604] #fsert ext/putty/utils/tree234.c DEREF_AFTER_NULL.EX.COND
- [291288] Схемы: добавлена полоса прокрутки на страницу "Настройка рабочей области" в диалоге настроек
- [291326] Схемы: теперь при использовании инструмента "Усечение линий" учитываются границы контейнеров
- [291715] внешние файлы: исправлена ошибка с расширением файлов после вставки из буфера
- [291614] внешние файлы: исправлена ошибка зависания клиента после запуска компонента "Внешние файлы"
- [291716] #fsert сообщение диагностики: INTEGER_OVERFLOW adt/adt_strings.cpp
- [291552] Схемы: сквозные группы - доработаны отмена и повтор масштабирования примитива
- [291551] Схемы: сквозные группы - доработаны отмена и повтор поворота примитива
- [291274] #wasm Новое окно авторизации: Изменения
           - Исправлена ошибка в поведении окон, при которой они могли уйти за границу окна приложения.
- [291433] Схемы: сквозные группы - доработаны отмена и повтор разгруппировки примитива
- [291461] Расчетный модуль: при выполнении из узла запуска окно состояния показывалось с задержкой
- [291380] Схемы: сквозные группы - доработана отмена и повтор редактирования примитива, использующих событие OnResize
- [291580] Схемы: сквозные группы - доработан пересчет габаритов после редактирования примитива, использующих событие OnResize
- [291582] Схемы: сквозные группы - исправлен вызов события OnResize при перемещении фигур за счет склеивания с другими фигурами
- [291442] Схемы: сквозные группы - исправлена ошибка поворота сквозных групп с ключевой фигурой
- [291456] Схемы: сквозные группы - исправлена ошибка группировки сквозных групп с ключевой фигурой
- [291777] Схемы: сквозные группы - исправлен пересчет габаритов при группировке сквозных фигур
- [291827] Схемы: сквозные группы - доработано автоматическое удаление для сквозных групп
- [291822] Схемы: сквозные группы - отключена возможность смены типа соединения у ключевых фигур через инспектор объектов
- [291826] Схемы: сквозные группы - доработано помещение и извлечение сквозной группы в контейнер
- [291871] Схемы: сквозные группы - исправлена ошибка удаления вложенной сквозной группы при удалении контейнера
- [291861] Схемы: сквозные группы - исправлено добавление примитивов со сквозной группой на новую страницу
- [291795] Схемы: сквозные группы - исправлана ошибка отображения схемы после действия "Показать полностью", содержащей сквозные группы
- [291353] Схемы: встраивание фигур - исправлена ошибка встраивания многоугольников и криволинейных областей
- [291639] Схемы: встраивание фигур - исправлена ошибка отмены и повтора встраивания фигуры при перемещении
- [291390] Схемы: встраивание фигур - исправлена отклеивание фигур после операций "Заменить примитивом", "Заменить графической группой"
- [290624] Схемы: встраивание фигур - доработано множественное смещение склеенных по контуру фигур через инспектор объектов
+ [290667] Схемы: кисть схемы теперь учитывает наследование от темы при создании фигур
- [291541] Схемы: исправлено переопределение наследования от темы у фигур при группировке
- [291321] Схемы: доработано копирование по Ctrl фигур, к которым добавлены размеры
- [291700] Grid: Access violation при отображении подсказки для грида (портировано из 6.1030)
- [289349] Схемы: исправлена ошибка некорректного объединения значков пересечения линий при увеличенном масштабе
! [289434] #android Реализовано получение доступа к камере и функция добавления фото
- [291622] Схемы: сквозные группы - переработка события onResize
- [291823] #android функция loadFromCamera переименована в executeAddFromCamera
- [291718] Схемы: исправлено переопределение наследования свойств от темы для таблиц и контейнеров, созданных из библиотеки примитивов
+ [290370] Схемы: добавлены иконки для тем и стилей
- [291821] Схемы: сквозные группы - доработка вызова событие OnResize при склеивании с фигурой

--- 6.1029 ---  13.11.2025
+ [287241] Grid: js-метод "showText" для возможности вывода вместо ячеек грида
- [291374] Схемы: теперь при наследовании от темы, в инспекторе объектов фигуры отображаются фактические значения свойств
- [291244] Схемы: доработан механизм экспорта схемы без участия графического редактора
- [291402] Схемы: изменена иконка, используемая для создания фигуры "Дуга"
- [291352] Схемы: доработано склеивание через статическую и динамическую точку склейки с учетом свойства фигуры "Запретить соединение"
- [291563] Формы: Исправлена ошибка при которой кнопка доступа у пунктов меню в инспекторе не имела эффекта
- [291866] Схемы: сквозные группы - доработка вызова события onResize при перемещении склеенной фигуры

--- 6.1028 ---  12.11.2025
- [291484] Формы: Изменен диапазон масштабирования грида
- [291567] Внешние файлы: исправлена ошибка запуска скриптового метода Execute

--- 6.1027 ---  12.11.2025
- [291421] Grid: не отображались в виде подсказки многострочные данные при наведении курсора мыши на однострочную ячейку
+ [287295] Схемы: сквозные группы
- [291544] Схемы: сквозные группы - исправлена ошибка смещения сквозной группы через инспектор объектов

--- 6.1026 ---  11.11.2025
! [291453] Вкладки: исправлена ошибка отображения вкладок
- [290265] Внешние файлы: исправлена ошибка запуска скриптового метода Execute
+ [291276] Новое окно авторизации: Изменения
           - Добавлена возможность прокрутки списка подключений с помощью ПКМ
- [291428] Схемы: исправлено некорректное определение значений стилистических свойств при наследовании стиля от темы "Без темы"
- [291405] Схемы: доработан механизм загрузки и восстановления схем с ошибками

--- 6.1025 ---  11.11.2025
- [290097] Документ: доработан поиск текста при выделении текста: поиск начинается с начала выделения, а не с конца
- [275700] вкладки: исправлено отображение закрепленных вкладок
- [201289] Grid: недоступность пункта всплывающего меню "Снять фиксацию столбца"
- [291320] Исправлена ошибка при которой многократно открывалось оповещение о том, что введёная дата не правильная

--- 6.1024 ---  10.11.2025
- [291184] Grid: не вызывалось редактировние ячейки грида при вставке новой записи после нажатия клавиши Insert
- [291330] Исправлен Access Violation и бесконечная загрузка списка избранных узлов у пользователей с пустым корневым узлом
- [291275] Исправлен недостаточный размер окна изменения количества прокручиваемых строк
- [291233] Схемы: импорт DWG/DXF - неправильно устанавливалось свойство "Авторазмер" и "Невидимый" для атрибутов
- [276408] Схемы: импорт DWG/DXF - неправильный импорт имени шрифта из иероглифиов
- [291173] отображение состояния загрузки данных поле ввода с выпадающим списком в тонком
- [289551] Схемы: доработана функция добавления фигур со схемы в Избранное
- [288359] Новое окно авторизации: Исправления
           - Исправлена ошибка, из-за которой при поиске пропадают все подключения.
- [291235] #fsert Исправленое определение домена клиентского компьютера на Linux с hostname без доменной части
- [291005] Формы: Исправлена ошибка при масштабировании грида с активным полем ввода быстрого фильтра, или ячейки
! [290994] Формы: Рефакторинг масштабирования грида и дерева
- [290961] Схемы: исправлена ошибка настройки цвета заливки фигуры через панель инструментов
- [291236] Схемы: встраивание фигур - доработано встраивание для контейнеров и таблиц
- [291257] Схемы: встраивание фигур - добавлено ограничение на циклическую встраиваемость
- [290097] Документ: доработан поиск текста при выделении текста: поиск начинается с начала выделения, а не с конца
- [291232] Формы: Исправлена ошибка в срабатывании отображения диалогов при ивенте из поле ввода
- [291171] Схемы: исправлена ошибка, когда цвет встроенного текста не менялся исходя из стиля фигуры, которой принадлежит текст
- [291157] Схемы: исправлена ошибка, из-за которой стиль темы мог примениться к разметке страницы
- [289594] Схемы: исправлена ошибка, из-за которой не пересчитывалась область видимости после удаления страницы
- [291259] Схемы: исправлено некорректное применение стилей в таблицах, где присутствуют ячейки типа "контейнер"
- [291262] Схемы: исправлена ошибка обновления цвета страницы после удаления предыдущей страницы
- [291290] Схемы: исправлено некорректное сохранение цвета шрифта текстового абзаца
- [278638] Схемы: доработана привязка и отображение привязки вершин ломаной к направляющей
- [291279] Схемы: добавлена возможность настроить свойство "Запретить соединение" у фигур в редакторе примитивов
- [187602] Документ: исправлен механизм загрузки списков
- [291246] Схемы: изменен путь хранения файлов локальных копий схем
- [290543] Схемы: исправлена установка некорректного значения по умолчанию в окне настройки толщины линии
- [291397] Схемы: исправлена ошибка, из-за которой тема применялась к некоторым фигурам, даже если свойство применения тем к новым фигурам было отключено

--- 6.1023 ---  01.11.2025
- [291019] Grid: неправильный переход на следующую ячейку после очистки текущей нажатием Backspace
- [290097] Документ: теперь при выделении текста поиск текста начинается с начала выделения, а не с конца
- [288635] Схемы: экспорт PDF/SVG - скорректировано разделение текста с переносами
+ [290635] если на сервере включен часовой пояс, то писать в лог и в окно о программе часовые пояса клиента и сервера
- [267774] Схемы: импорт DWG - терялся цвет текста в Linux для объекта TsgDXFProxy
- [290525] Схемы: исправлена ошибка настройки "По слою" всех настроек заливки и линий графической группы
- [280510] Формы: сообщение об ошибке печати в окне просмотра .pdf файлов изменено на более понятный вариант
+ [288212] Диаграммы: добавлено свойство авторасчет отступов меток исправлены цвета по умолчанию

--- 6.1022 ---  31.10.2025
+ [290684] --no-time-zone возможность запустить клиент без трансляции часового пояса
- [275441] Рефакторинг метода, отвечающего за формирование сообщений в статусной строке
- [286585] исправлено получение значения параметра, привязанного к справочнику

--- 6.1021 ---  30.10.2025
- [290469] некорректное отображение вариантов выбора поля ввода приявязанного к параметру типа первичный ключ
- [290620] Grid: вставка значения из буфера обмена - зависание при обращении в событии "onValidate" к js-свойству "selectedColumn"
- [290650] Схемы: исправлен экспорт пересечений линий для квадратов
- [290636] исправлено зависание формы, если в инициализации вызван ввод параметров
+ [290533] Схемы: добавлена возможность очистки неиспользуемых примитивов во встроенной библиотеке
- [290417] Схемы: Изображения - исправлена некорректная обработка крайних точек контрастности
- [288789] Схемы: внесены правки в механизм поиска точек склеек фигур
- [289602] Схемы: исправлена ошибка неправильного отображения стиля линии в диалоге выбора стиля линии в панели быстрого доступа

--- 6.1020 ---  30.10.2025
- [290418] если сплиттер полностью прижать вправо или вниз и отображается скроллер, то при наведении на кнопку с точками сплиттера не отображать скроллер, давать возможность потащить или нажать сплиттер
+ [289923] Схемы: доработано выделение ломаных и соединительных линий у которых включены скругления и(или) значки пересечений
- [290522] зависание при вызове node.selectChildren из скрипта на событие onSelectionChange дерва данных
- [288029] Отчеты: исправлена ошибка с границами ячеек таблиц
- [289592] Отчеты: исправлена ошибка печати диаграмм Ганта
- [290519] Исправлена ошибка в определении имени пользователя ОС при
подключении к Linux машине по RDP
- [289591] Отчеты: печать диаграмм Ганта - исправлено кеширование
- [289479] Схемы: диаграммы - исправлена ошибка пересчета осей при масштабировании
- [289163] Схемы: диаграммы - исправлена функция копировать диаграмму как изображение
- [289402] Схемы: диаграммы - исправлена ошибка избыточного отступа при отрисовке текста на левой оси
- [290438] Схемы: исправлена ошибка выделения примитивов по тексту с отсутствующей заливкой
- [290371] Схемы: исправлено некорректное применение стиля из окна настройки стиля соединительной линии
+ [290534] Схемы: добавлена возможность извлекать фигуры из несуществующих контейнеров для поломанных схем
+ [290532] Схемы: диаграммы - добавлена возможность очистки неиспользуемых таблиц диаграмм
- [289431] Схемы: диаграммы - добавлено свойство сетка
- [290480] Схемы: исправлено некорректное определение стилей фигур во время экспорта при наличии темы
+ [288705] Схемы: добавлена возможность сохранять в файл встроенную библиотеку
- [290543] Схемы: исправлено некорректное отображение толщины текущей выделенной линии в окне настройки толщины линии
+ [272394] Схемы: встраивание фигур
- [290611] Схемы: встраивание фигур - исправлена ошибка перемещения встроенных фигур по фигурам без точек склеек
- [290501] Схемы: исправлено некорректное отображение диалога выбора толщины линии
- [290542] Схемы: исправлена ситуация, когда у соединительной линии переставали отображаться стрелки при перемещении
- [290619] Схемы: исправлено некорректное отображение полилинии при изменении типа соед. линии

--- 6.1019 ---  24.10.2025
- [290440] Формы: отменено сохранение масштаба для грида
- [289437] исправлено отображение окна печати на динамическое
- [290219] при нехватке памяти при получении ответа сервера в запросе вместо обрыва соединения и перепосылки запроса выдавать ошибку
- [289593] Схемы: исправлена ошибка, при которой пропадало склеивание ломаных при действии "Объединить ломаные"
- [288607] Схемы: доработана отмена добавления точки склейки к контуру ломаной
- [290437] Схемы: исправлена ошибка выделения примитивов после отмены и повтора настройки имени шрифта через инспектор объектов
- [290188] Схемы: добавлен заголовок "Сменить интерфейс" в сообщении при смене интерфейса

--- 6.1018 ---  23.10.2025
+ [276773] Формы: при масштабировании грида, отображается масштаб
- [290382] Новое окно авторизации: Исправления
           - Исправлен Access Violation при попытке показать всплывающее меню со списком агентов.
- [289379] Исправлено отсутствие выбора группы колонок в окне печати
- [290231] Формы: При масштабировании грида учитываются отступы из стилей для ячеек и заголовка
+ [289251] при соединии с сервером приложений запись в лог версии клиента и агента
- [290253] некорректно выбирается значение выпадающего списка поля ввода в несправочное поле при выбре с клавиатуры
- [290250] не срабатывают кнопки с результатом нажатия по enter и escape если фокус ввода находится на поле ввода
- [290381] Отчеты: исправлена ошибка печати QR-кодов в ячейках таблиц
+ [277149] Добавлена возможность закрывать вкладки средней кнопкой мыши
- [290236] Схемы: исправлена ошибка механизма взаимодействия примитивов на уровне скриптовых событий в рамках редактора схемы
- [288786] Схемы: доработано выделение примитивов по тексту с отсутствующей заливкой
- [288786] Схемы: доработано выделение фигур по встроенному тексту с отсутствующей заливкой
- [289595] Схемы: доработана смена имени шрифта атрибутов в инспекторе объектов
+ [290254] Исправлена некорректная работа компонента "Внешние файлы"

--- 6.1017 ---  22.10.2025
- [289378] Схемы: исправлено сохранение склеивания после дублирования склеенных фигур
- [289433, 290192] Схемы: доработка ленточного интерфейса для стилей и тем
- [290131] Схемы: исправлена некорректная работа пункта "По теме" в окне выбора типа начала/конца стрелки
- [290266] Схемы: доработано событие onSelected в случае выделения фигур по области

--- 6.1016 ---  22.10.2025
- [289638] выдавать ошибку если не возможно применить фильтр данных
+ [290191] Схемы: RIBBON - Кнопка
           - Добавлена возможность использования произвольных изображений в кнопке ленточного интерфейса.
           - Исправлена ошибка, при которой некорректно вычислялась высота горизонтальной кнопки с включенным автоматическим размером.
- [290237] Отчеты: при html-форматировании учитывается атрибут bgcolor
- [290189] Отчеты: исправлена ошибка печати диаграмм Ганта
- [290185] Стили: Поля ввода - исправления
           - Исправлена ошибка, при которой некорректно работает позиционирование при нажатии на многострочное поле ввода.
- [289397] Схемы: исправлено отображение подложек в цепочке нескольких страниц
- [290062] Схемы: исправлено несохранение скосов фигур при разгруппировке
- [260264] Формы: исправлено отображение аннотаций в PDF (электронные подписи в их числе)
- [289438] Внешние файлы: N53210- js-метод "signFileCades()" : вызов исключения при передаче неправильного пароля
- [289130] Grid: не вызывалось события "onValidate" при вставке значений из буфера обмена
! [290184] Отчеты: исправлена обработка события onPrint для контрола Label
- [289915] Формы: исправлено дублирование информации в лог при вызове метода ExtFiles::executeViewFile(), логгирование вызовов методов из библиотеки ExtFiles дополнено наименованием файла
+ [290087] Grid: сохранение в конфигурации масштаба отображения
- [290106] Схемы: исправлено исключение, которое может вызываться при расчете скруглений прямоугольников
- [290100] Grid: не применялось свойство "Скрыть выделение"
- [289830] Grid: игнорировалась значение свойства "Тип индикатора" = "Нет"
- [289765] Схемы: устранены причины исключения, которое могло возникать при взаимодействии с соединительными линиями со скруглениями и включенными значками пересечений
- [289708] Схемы: исправлено смещение криволинейной области, создаваемой с помощью применения инструмента "Преобразование" к скругленному многоугольнику
- [289649] Схемы: исправлена ошибка загрузки и сохранения конфигурации схемного контрола
- [289866] Схемы: исправлено не сохранение примечаний для страницы
- [289924] Схемы: исправлена ошибка отображения примитивов при открытии схемы
- [290089] Схемы: исправлена ошибка поиска и замены текста в режиме ввода текста
- [290088] Схемы: доработано редактирование встроенного текста фигур во вложенных группах
! [288425] Схемы: Ленточный интерфейс - изменен механизм отображения подпунктов кнопки "Тип стрелки"
- [289847] Диаграммы: доработана отрисовка и настройка свойств диаграммы "Спидометр"
- [290180] Схемы: исправлена ошибка с некорректным отображением окончания стрелок линий  на 4К мониторах
- [289381] Диаграммы: исправлена печать диаграммы
- [285763] Схемы: диаграммы - отключена поддержка настройки таблиц из узлов
- [290186] Схемы: исправлено некорректное изменение размера стрелки полилинии при изменении типа стрелки
- [289563] Схемы: исправлена некорректная отрисовка встроенного текста, если он не наследует цвет шрифта от темы
- [290168] Схемы: исправлена ошибка с отображением стрелок при выборе через интерфейс
- [290236] Схемы: доработан механизм взаимодействия примитивов на уровне скриптовых событий в рамках редактора схемы

--- 6.1015 ---  15.10.2025
- [289658] зависание в дереве данных при выборе ячейки с обработчиком ячейки onSelect
- [289707] Схемы: Избранные примитивы - доработано создание избранных примитивов с учетом модуля и событий примитивов
- [289720] Схемы: диаграммы - исправлена ошибка редактирования ячеек таблиц при добавлении новых серий диаграмм

--- 6.1014 ---  14.10.2025
+ [289216] Схемы: теперь инструмент "Разбивка ломаных" работает со скругленными ломаными линиями
- [289623] Схемы: импорт VSDX - ошибка при импорте примитивов внутренней библиотеки
- [288031] Схемы: изменен механизм удаления фигур
- [289563] Схемы: скрыты свойства "Тема" и "Экспресс-стиль" для атрибутов и встроенного текста
+ [288031] Схемы: добавлен механизм обновления привязок при удалении фигур с учетом отмены и повтора удаления
- [289336] Схемы: Изображения - исправлено поведение динамического обновления образца
- [289559] Схемы: При наведении на фигуру в режиме добавления фигуры, не показывает курсор перемещения фигуры, если фигура не выделена
- [289587] Схемы: исправлена ошибка в расчете точек на линии
- [289342] Диаграммы: исправлено масштабирование диаграммы типа спидометр
+ [285763] Схемы: диаграммы - добавлена поддержка настройки таблиц из узлов
- [277719] Схемы: исправлена ошибка работы метода "Форматирование по образцу" при нажатии горячих клавиш
- [289633] Схемы: добавлены всплывающие подсказки для кнопок "Сохранить" и "Обновить" в панели инструментов ленточного интерфейса
- [289633] Схемы: заменена всплывающая подсказка для кнопок "Сохранить" во время редактирования примитивов
- [289633] Схемы: заменена иконка у кнопки "Сохранить" в выпадающем списке вкладки "Файл" во время редактирования примитивов
- [289610] Схемы: изменены размеры кнопок в окне настройки стилей заливки

--- 6.1013 ---  13.10.2025
- [289609] Формы: исправлена ошибка в работе скриптового метода ExtFiles::executeViewFile()
- [289556] не перехватываются исключения в поле ввода при выборе из выпадающего списка, ошибочно применяется значение при выпадении, если в предыдущее выпадение было пустой список
- [289533] Отчеты: исправлена обработка столбцов нулевой ширины
- [289224] Схемы: исправлена ошибка импорта файлов через буфер обмена, содержащих русские символы в названии файла
- [289421] Формы: исправлен Access Violation при печати диаграммы Ганта
- [289570] Схемы: исправлено исключение, возникающее при попытке изменения стиля линии в панели быстрого доступа, когда не выделена ни одна фигура

--- 6.1012 ---  10.10.2025
- [289227] Схемы: исправлена ошибка, из-за которой инструмент "Усечение линий" мог неправильно работать при пересечении усекаемой линии с многоугольниками и областями
- [289520] Формы: исправлена ошибка, из-за которой метод ExtFiles::executeViewFile() мог не дождаться загрузки файла после его формирования
- [282859] Формы: рефакторинг метода парсинга html-текста
- [282813] Отчеты: тип данных Дата теперь корректно определяется в Р7 и LibreOffice при формировании печатных форм
! [289372] Отчеты: улучшено соответствие с типом variant из толстого клиента (затрагиваются группировки, фильтры и т.п.)
- [289398] не выбирается первый элемент выпадающего автодополнения в поле ввода с привязанным логическим полем
- [289302] Схемы: исправлена ошибка, из-за которой вершины скругленного многоугольника могли отображаться некорректно
- [288945] Схемы: Избранные примитивы - доработано создание избранных примитивов с учетом параметров примитивов
- [289344] #wasm закрытие последней вкладки при включённых постоянных сессиях теперь не завершает сессию.
- [289334] Схемы: Настройки визуального отображения - добавлены ограничения на переразмеривание диалогового окна
- [289343] доработка обратных вызовов в Signal
- [283999] Схемы: исправлена ошибка, из-за которой после разгруппировки угол поворота у ломаной рассчитывался некорректно
- [289270] Схемы: исправлено обновление страниц после удаления страницы
- [289524] Схемы: исправлена ошибка сворачивания окна "Область примечаний"
- [288744] Диаграммы: исправлена ошибка, связанная с вызовом события при нажатии за пределами границы
- [289339] Схемы: Настройки визуального отображения - скрыт параметр "Динамическое обновление образца"
- [289211] Схемы: Исправлена ошибка не отображения таблицы диаграмм в окне настройки таблицы серии
- [288248] исправлено некорректное отображение АСМО документа при первой загрузке отчета
- [289205] Схемы: при изменении названия диаграммы запрещены пустые названия
- [289333] Схемы: Настройки визуального отображения - исправлена ошибка с перескакиванием курсора ввода в текстовом поле
- [289177] Схемы: Изменение параметров таблицы диаграммы активирует иконку сохранения
- [289335] Схемы: Настройки визуального отображения - исправлена ошибка связанная с отсутствием сохранения при изменении параметров изображения
- [289363] Схемы: диаграммы - исправлено отображение нескольких серий
- [289332] Схемы: Настройки визуального отображения - контекстное меню отключено
- [289161] Схемы: рефакторинг функции выравнивания
+ [203515, 185468] Схемы: поддержка тем и стилей
- [289256] Схемы: исправлена ошибка неверного расчета габаритов фигур
- [289427] Схемы: Подсветка кнопки "Область примечаний" в вкладке "Рецензирование" при открытой панели примечаний
- [289231, 289368] Схемы: диаграммы - исправлена ошибка рисования диаграмм вне диапазона фигуры
- [289399] Схемы: добавлена возможность вводить минус и запятую в таблицы даиграммы
- [285802] Параметры: исправлена ошибка в работе js-метода "onAfterInputParams", при которой это событие не срабатывает при повторном выборе параметров
+ [280026] Схемы: добавлена возможность указывать ограничение размера схемы для отображения

--- 6.1011 ---  06.10.2025
- [288428] улучшено автодополнение поля ввода привязанного к не справочному полю
- [289250] Отчеты: исправлена ошибка расчета положения и ширин столбцов таблиц, если одна из них передается параметром из грида
- [289171] Схемы: диаграммы - доработано отображение осей диаграммы при различном масштабе схемы
- [289208] Схемы: диаграммы - исправлена ошибка обновления осей после удаления таблицы
- [289214] Схемы: диаграммы - изменены названия свойств серии
                           - свойство "X поле данных" на "Поле данных оси X"
                           - свойство "Y поле данных" на "Поле данных оси Y"
                           - свойство "Текст поле данных" на "Текстовое поле данных"
- [289233] Схемы: диаграммы - исправлена отрисовка серии типа "Точки"
- [288422] Внешние файлы: исправлена ошибка в работе js-метода "executeReadFile", при которой он всегда возвращал false, даже если файл был загружен

--- 6.1010 ---  03.10.2025
- [289173] ошибочно выпадает спиоск автодополнения в поле ввода в режиме ввода справочного значения
- [289195] не полностью очищаются и коприруются сигналы
+ [288998] Схемы: добавлена поддержка привязки к контуру скругленных фигур
- [289162] зависание при получении размера блоб поля
+ [288325] рефакторинг core::Signal - двунаправленная связь
- [287951] Схемы: исправлена ошибка, из-за которой значок пересечения соединительных линий мог отображаться некорректно
- [288427] не выбирается автодополнение в поле ввода после очистки пустого поля ввода
- [287418] Схемы: исправлена ошибка в одной из функций отмены последнего действия
- [288208] при сохранении формы сначала вызывать onBeforeCommit формы, затем проверку пустых полей в источниках
- [288531] Документ: исправлено сохранение в буфер обмена изображений, у которых отсутствует путь к файлу
- [288717] Диаграммы: исправлена ошибка отображения даты и времени
- [288758] #fsert Схемы: исправлены ошибки связанные с избыточным сравнением с нулевым значением
- [288737] Схемы: добавлены ограничения на переразмеривание всплывающего окна примечаний
- [289203] Схемы: диаграммы - доработан механизм загрузки и сохранения серий диаграммы
- [288787] Схемы: изменено имя приложения на "АСМОграф"
- [287936] Формы: Исправлена ошибка, когда при использовании фильтра некорректно выбирается строка грида.
+ [288899] Схемы: добавлена автопрокрутка и фокусировка на окне ввода примечаний при открытии всплывающего окна с примечанием
- [288899] Схемы: заблокирована возможность добавлена и редактирования примечаний для заблокированных фигур
! [289053] Диаграммы: Добавлена возможность создавать вертикальный scrollbar
- [289175] Схемы: диаграммы - исправлена ошибка построения диаграммы типа "Точки"
- [288773] Формы: исправлено зависание при выделении нода в дереве

--- 6.1005 ---  29.09.2025
! [288007] #fsert Возвращены функции не входящие в сборку для ФСТЭК
- [277536] Схемы: отключено сохранение библиотека примитивов при сохранении примитива
- [288163] Схемы: изменена иконка сохранения изменений в редакторе примитива

--- 6.1003 ---  29.09.2025
! [288007] #fsert Отключены функции не входящие в сборку для ФСТЭК
- [287416] Схемы: доработана привязка к вершинам при создании фигур (кривая, ломаная, многоугольник, криволинейная область)
- [288633] Схемы: исправлена ошибка возможности управления контрольными точками у кривой в редакторе примитивов
- [288163] Схемы: исправлена ошибка отображения схемы при загрузке из таблицы через схемный контрол
- [288212] Диаграммы: исправлен расчет отступов в горизонтальных столбцах
- [284329] Схемы: эффекты временно выключены
- [286729] Схемы: удалена возможность отключать функционал Избранные примитивы
- [286728] Схемы: удалена возможность отключения диаграмм

--- 6.1002 ---  26.09.2025
- [288312] Схемы: рефакторинг метода расчета координат вершин фигур
- [284341] Схемы: изменен подход к отрисовке дуг у скругленных ломаных линий
- [288467] Отчеты: исправлена ошибка присваивания -1 для recordIndex
- [287161] Отчеты: исправлена ошибка расчета ширины столбца при передаче грида в отчет параметром
- [288602] Схемы: JS - доработан метод refreshScheme
- [288215] Формы: исправлено зависание при сохранении при фокусировки на вкладке с изменяемым значением
- [288626] Схемы: исправлена ошибка при удалении поля серии
- [285693] Схемы: исправлена ошибка построения соединительной линии при перемещении промежуточной вершины
- [288649] Схемы: исправлена ошибка связанная с некорретной работой диологовых окнон у "Тип стрелки"
- [288615] Формы: исправлена ошибка, которая позволяла вводить некоректное число в контроль ввода для дробного типа

--- 6.1001 ---  24.09.2025
+ [285759] Схемы: добавлена возможность сохранения избранных примитивов в файл
- [288380] Диаграммы: исправлена ошибка, из-за которой текст на горизонтальных осях мог отображаться некорректно
+ [288523] Схемы: свойство "Радиус скругления" теперь учитывается во время операции "Объединить ломаные"
- [288356] не устанавливать признак изменения блоб поля при обновлении размера блоба в записи данных
- [287988] в гриде не отображаются записи, если скрыт столбец, по которому осуществляется сортировка
- [287947] Формы: исправлена невозможность перетаскивания окна Редактор пользователей
+ [288300] Схемы: добавлена поддержка скругления для мультимногоугольников
- [288430] при автодополнении в поле ввода не справочного типа и закрытии пустого выпадающего списка присваивать значение введенного текста
- [288459] Формы: исправлена ошибка в формате данных в поле ввода
+ [288297] Grid: 52036 - свойство "Интеллектуальное перемещение"
+ [288468] Формы: добавлена автоматическая прокрутка содержимого Видимости столбцов при dragDrop
- [288329] отмена измений по позиционированнию в выборкке источника из задания 287248
- [288423] не вызывать в гриде onSelected при синхронизации с источником данных, если грид не имее фокуса ввода
- [288267] Схемы: теперь при изменении режима просмотра схемы в ленточном интерфейсе надпись кнопки "режимы" не изменяется
- [287528] Внешние файлы: N53028 - js-метод "signFileCades()" : добавлена возможность передачи пароля закрытого ключа сертификата для подписи данных
- [288374] Схемы: изменен подход к сужению дуг в алгоритме скругления линий
- [288263] исправлена некорректная установка цвета ячеек при создании отчета Excel
+ [288375] Формы: добавлена возможность изменения порядка столбцов в диалоговом окне Видимость столбцов используя dragDrop
- [288177] Схемы: Удалена кнопка "Область примечаний", в вкладке "Объекты", панели "Инструменты", классического интерфеса.
- [288183] Схемы: Исправлена неправильная фокусировка на примечании при сокрытии и открыии примечания
- [288183] Схемы: Исправлена неправильный цвет в окне ввода примечания при изменении фокуса на другие объекты
- [288376] исправлена ошибка механизма фокусировки между контролами
+ [277718] добавлена возможность выделения частично попавших в область объектов (Файл - Настройки - Дополнительно - Выделять фигуры, частично находящиеся в области).
- [288181] Схемы: закрытие окна с примечаниями при удалении всех примечаний окно примечаний
+ [288282] Схемы: в ленточный интерфейс добавлена кнопка "Стиль соединительных линий"
! [278152] Схемы: исправлена ошибка связанная с обрезанием картинки при определенном масштабе
- [288426] Схемы: Ленточный интерфейс, исправлена ошибка с отображением стрелочек у "Тип стрелки", указывающих на наличие подменю
- [288337] Диаграммы: исправлена ошибка связанная с утечкой памяти в кастомных подсказках
- [288338] Диаграммы: исправлена ошибка связанная с утечкой памяти в кастомных подсказках
- [288471] Схемы: настройка выделения частично попавших в область фигур, теперь сохраняется в конфигурацию
- [286999] Схемы: исправлена ошибка отображения предварительного просмотра примитива для панели с библиотеками примитивов, прижатых снизу приложения
- [288506] Схемы: исправлена ошибка перемещения ячейки таблицы с зажатой клавишей Shift
- [288171] Схемы: исправлена ошибка сворачивания панели с библиотеками примитивов
+ [287111] Добавлена поддержка игнорирования файлов при конвертации adoc файлов
- [287799] При неудачном открытии справки теперь отлавливаются все ошибки
- [288313] исправлена ошибка, из-за которой пропадает позиционирование во вкладках
- [287880] Доработано отображение полей ввода
- [287778] Исправлена ошибка при отрисовки тени с нулевым размером
- [287159] Схемы: исправлена ошибка сохранения стрелок при их назначении через верхнюю панель в ленточном интерфейсе
! [288239] Схемы: Доработано сохранение и загрузка таблицы диаграммы
- [288390] Схемы: Исправлена ошибка неполного создания кривой или ломаной

--- 6.1000 ---  19.09.2025
- [288036] при добавлении или изменении пользователя не проверять признак ввода и правильность пароля, если установлен признак доменной аутентификации
- [288047] при загрузке в поля типа файл через внешние файлы добавлять содержимое файла для предпросмотра, если размер файла менее 64Мб
- [288335] #fsert Схемы: схемный контрол DEREF_OF_NULL.DYN_CAST
- [288158] Схемы: Исправлена ошибка нерабочей кнопки "Область примечаний", в выпадающем списке "Видимость панелей" вкладки "Вид", ленточного интерфейса

--- 6.999 ---  19.09.2025
- [288323] Схемы: исправлено скругление для завышенных радиусов
- [288324] Схемы: исправлено скругление при острых углах
- [288028] некорректно передается значение аргумента в событие onValidate
- [288022] некорректно передается значение аргумента в событие onValidate
- [288286] оптимизация получения признака null и размера полей типа файл
+ [285589] Схемы: добавлено новое свойство "Радиус скругления" у ломаных линий, многоугольников и прямоугольников, отвечающее за скругление углов у фигур
+ [287949] Формы: добавлена возможность менять позиции столбцов в диалоговом окне Видимость столбцов
+ [287870] Схемы: добавлена возможность получения скриптового имени у библиотечного элемента
+ [288148] Схемы: При выделении фигуры, или добавления примечания, ползунок панели примечаний, автоматически сдвигается, чтобы отобразить примечание
- [287938] Доработан механизм перетаскивания файлов в приложение
- [288149] Схемы: Исправлена ошибка открытия поп-ап меню примечаний, когда была открыта панель примечаний, при нажатии на кнопку "Добавить примечание" в меню "Вставка" ленточного интерфейса
- [288328] исправлена ошибка механизма фокусировки между контролами

--- 6.998 ---  18.09.2025
+ [287053] Отчеты: печать диаграмм Ганта
+ [288262] Графический редактор: Импорт DWG/DXF
           - Для многострочных текстов добавлен импорт коэффициента сжатия текста.

--- 6.997 ---  17.09.2025
- [288228] Схемы: исправлено отображение некоторых кнопок ленточного интерфейса в 4К
- [288105] Формы: исправлено не верное отображение в диалоге Видимость столбцов
- [288213] Схемы: исправлена кнопка дополнительной информации в окне ошибки отсутствия справки
- [287418] Схемы: рефакторинг кода обновления экрана в функциях undo-redo
- [288049] Деревья: Исправления
           - Исправлена ошибка, при которой после раскрытия узла происходит автоматическая фокусировка на текущем выделенном узле.
- [287835] Исправлено неверное отображение кол-ва выбранных экспортируемых библиотек при повторном экспорте
- [288217] Схемы: кнопки работы с изображениями теперь корректно отобрааются в 4к разрешении
- [288100] Графический редактор: Изображения - исправлена ошибка с вводом бесконечного числа знаков после запятой
+ [287773] Схемы: добавлено событие onMove у библиотечных примитивов
- [287417] Схемы: исправлена ошибка привязки к вершине фигуры в случае возникновения привязки к контуру другой фигуры
- [288126] Графический редактор: Изображения - исправлена ошибка отсутствием знака процента в полях ввода
- [288122] Графический редактор: Изображения - исправлена ошибка с вводом бесконечных нулей перед числом
- [288154] Схемы: Исправлена ошибка открытия длинного примечания
+ [284284] Схемы: добавлена возможность выделения фигур по области в режиме просмотра через клавишу Ctrl
- [288166] Схемы: Ленточный интерфейс - не подсвечивалась кнопка "Панель примечаний", при открытой панели примечаний
- [288254] Графический редактор: Изображения - исправлена ошибка с вводом нуля перед числом и смещение коретки в поле
- [288102] Графический редактор: Изображения - перемещаться по окошкам ввода числовых значений через клавишу Enter нельзя
- [288264] Схемы: Ленточный интерфейс - исправлена ошибка при нажатии на кнопку область примечаний в меню рецензирования

--- 6.996 ---  16.09.2025
- [288103] Схемы: исправлены функции работы с изображениями, не переименованные в 287866
- [287971] Графический редактор: Изображения - настройка изображений
           - Исправлена ошибка, при которой после закрытия окна настроек изображения снималось выделение с картинки.
           - Исправлена ошибка, при которой после применения настроек изображений, картинка отображалась на схеме некорректно.
           - Исправлена ошибка, при которой после отмены/повторения изменения настроек изображения, картинка не выделялась автоматически.
- [288169] Диалог удаления элементов коллекции теперь работает корректно
+ [287968] Графический редактор: Изображения - настройка изображений
           - Добавлена поддержка Undo/Redo для параметров изображений.
- [288093] доработан механизм фокусировки между контролами
- [287899] Схемы: Исправлена ошибка обрезки фигуры при получении картинки библиотечного примитива
- [287956] Схемы: доработан пересчет габаритов группы, содержащей в себе только невидимые фигуры
+ [277719] Схемы: Добавлена возможность форматирования фигур по образцу, где образец - это первая выделенная фигура
- [288152] Схемы: Исправлена ошибка при прокуркте окна примечаний
- [287871] Схемы: исправлена ошибка отмены создания ломаной при непосредственном создании другой фигуры
- [288142] #ave Схемы: исправлена ошибка неправильного вычисления габаритов фигур
- [288150] Схемы: при выделении примечаний для страниц на панели примечаний происходит переключение на страницу
- [287888] Схемы: применяются для диаграммы внесенные через таблицу
+ [285790] Схемы: таблицы - добавлен механизм выбора строк и столбцов через клавишу Shift

--- 6.995 ---  12.09.2025
- [287948] Деревья: Печать - Исправления
           - Исправлена ошибка, в результате которой в полученном при печати файле появлялись пустые строки.
           - Исправлена ошибка, в результате которой в полученном при печати файле отсутствует часть данных.
+ [288099] Формы: Добавлена возможность вводить значение в поле (edit, grid) с типом данных временной интервал используя следующие разделители , . : ;
+ [287999] Формы: Добавлена возможность изменять значение поля (edit, grid) колесиком мыши для типа данных Дата/Время и формата YYYY, HH, HHMM, HHMMSS
- [288024] Исправлено неправильное отображение текста информации о гриде
! [283452] Диаграммы: добавлена возмножность настройки всплывающего окна:
           - менять цвет заливки окна
           - менять цвет и скругление рамки
           - добавлена возможность задавать текст подсказки
           - добавлена возможность задавать размеры окна
           - настройка шрифта
- [288093] доработан механизм фокусировки между контролами
- [288092] Схемы: изменена внутренняя структура окна формата изображения
- [288111] Схемы: иправлен способ хранения формата изображения

--- 6.994 ---  10.09.2025
- [288001] Формы: исправлено зависание клиента, связанное с вызовом метода onValidate
- [287964] Графический редактор: Изображения - настройка изображений
           - Исправлена ошибка, при которой значение гаммы не сохранялось.
           - Исправлено отображение минимально возможного значения гаммы при повторном открытии окна настроек изображения.
           - Исправлена ошибка, при которой после изменения параметров изображения происходило аварийное завершение работы клиента.
- [287970] Графический редактор: Изображения - настройка изображений
           - Отключена возможность масштабирования, перемещения и выделение части изображения в окне настройки.
! [288007] #fsert Схемы: возвращена поддержка эффектов
- [285936] Отчеты: исправлена ошибка "падения" клиента при обновлении фрейма после генерации отчета

--- 6.993 ---  09.09.2025
! [288007] #fsert Схемы: временно отключена поддержка эффектов
- [287788] Help: сообщение об ошибке открытия файла справки больше не дублируется
- [287435] Схемы.
       - Изменены функции fltk. Теперь они не используют символ @ для создания специальных символов
       - Добавлены новые функции, поддерживающие @ символы и имеющие в названии "_with_special_symbols"
- [287113] Клиент: Изменения
           - Добавлена поддержка настройки агента «autoconfirm_update».
- [287866] Схемы: в функциях работы с картинками теперь используется только слово "Изображение"
- [287858] Схемы: добавлены иконки в подпункт "картинка" контекстного меню
+ [287670] Редактор: улучшено окно перехода к строке и позиции
- [287486] Help: исправлена ошибка, при которой справка повторно не открывалась
- [287510] amconsole: исправлена ошибка, при которой в редакторе конфигурации не появлялось окно поиска текста
- [287859] Графический редактор: RIBBON
           - Исправлена ошибка, при которой контент вкладки «Формат» остаётся видимым, когда сама кнопка становится невидимой.
+ [287907] Графический редактор: RIBBON
           - В главное меню добавлена кнопка обновления схемы.
- [287900] Схемы: исправлена ошибка закрытия программы при попытке добавить примечание к страницы, при помощи вкладки "Вставка"
- [287873] Схемы: исправлена ошибка, при которой в окне настройки формата картинки можно было ввести некорректные значения
- [287822] исправлена ошибка, при которой не срабатывает свойство "Скрываемый" у столбца если внутри есть еще несколько столбцов
- [287869] Схемы: добавлено сохранение изменений формата изображения при повторном открытии
- [287869] Схемы: исправлена ошибка при которой при установки предыдущих значений формата изображения, изображение отличалось
- [287883] Схемы: Получение скриптового объекта примитива перенесено в компонент "Редактор библиотеки примитивов"

--- 6.992 ---  04.09.2025
- [287258] Отчеты: исправлено зависание при построении дерева

--- 6.991 ---  03.09.2025
- [287892] некорректно прочитываются спец символы в запросах к данным
- [287853] Дерево: Печать - Исправления
           - Исправлено зависание процесса печати дерева.
+ [287870] Схемы: добавлена возможность получения описания у библиотечного элемента
- [285675] Схемы: js importPrimitive перемещен в невизуальный компонент "Редактирование библиотеки примитивов"

--- 6.990 ---  03.09.2025
- [287840] Отчеты: исправлена работа фильтров
- [287828] в некоторых случаях зависание при вызове WaitWindow.leave()
+ [285207] Новое окно авторизации: Изменения
           - Реализована возможность входа, используя данные, полученные из командной строки, например с помощью флагов
             -sСЕРВЕР, -nБАЗА_ДАННЫХ, -uПОЛЬЗОВАТЕЛЬ или с помощью ссылки типа asmo://server:port/runnode/nodeid
+ [287321] Отчеты: изменение шрифта ячеек таблицы при изменении характеристик шрифта столбца в скрипте
- [286290] Схемы: исправлена ошибка появления артефактов при большом масштабе схемы
- [287399] Доработано описание функции edit в help
- [258046] Схемы: доработаны механизмы воздействия на фигуры с помощью мыши с учетом скроллирования и масштабирования колесом мыши
- [287136] Схемы: доработано отображение примитивов при редактировании вложенных в них текстовых абзацев
- [285584] Схемы: изменено минимально допустимое значение dpi до 96 при копировании выделенных фигур
- [287831] Диаграммы: исправлена ошибка с видимостью осей диаграммы
- [287248] Отчеты: исправлена ошибка высвобождения памяти для фильтров

--- 6.989 ---  01.09.2025
- [287386] не корретно перемещается узел драг-дропом в дереве данных
- [287781] ошибка при добавлении файла нулевой длины через внешние файлы
- [287479] Графический редактор: RIBBON
           - Исправлена ошибка, при которой часть текста в кнопке вкладки обрезается на широкоформатных мониторах.
- [287478] AV в дереве данных при удалении нескольких узлов
- [287152] Новое окно авторизации: Исправления
           - Исправлена ошибка "Access Violation" при закрытии окна подключения до завершения процедуры подключения.
+ [268762] Схемы: Изображения - настройка яркости
+ [268763] Схемы: Изображения - настройка контрастности
+ [268764] Схемы: Изображения - настройка гаммы
+ [283619] Схемы: Изображения - добавлена возможность активации настроек для изображений

--- 6.988 ---  01.09.2025
- [287478] AV в дереве данных при определении необходимости пересчета итогов после удаления узла
+ [287249] Формы: в средства прикладной разработки добавлен класс Socket, который можно использовать для прослушивания сообщений по протоколу TCP/IP
- [287139] Дерево: Печать - Исправления
           - Исправлена ошибка, при которой данные некоторых узлов дерева отображаются как «...».
- [282303] Дерево: Печать - Исправления
           - Оптимизирован процесс печати выделенных узлов дерева.
- [286866] Дерево: Печать - Исправления
           - Исправлено зависание процесса печати дерева.
- [282876] Дерево: Печать - Исправления
           - Исправлено зависание процесса печати дерева.
- [282875] Дерево: Печать - Исправления
           - Оптимизирован процесс печати деревьев.
- [287231] Схемы: Экспорт DWG - аварийное завершение в Linux из-за неправильной кодировки в наименовании слоя
- [287155] зависание при позиционировании в дереве данных в выборе записи формой при многократном завпуске выбора записей
- [252921] Выбор записей формой - скорректирован алгоритм определения полей источника
- [287466] #fsert UNCHECKED_FUNC_RES.STAT fc_diagram.cpp
- [287476] #fsert Схемы: схемный контрол DEREF_OF_NULL.RET.STAT
- [287284] Отчеты: исправлена ошибка объединения ячеек
- [285834] Схемы: при наведении на фигуры появляется иконка перемещения
+ [284011] Схемы: добавлен механизм активации динамических вкладок для ленточного интерфейса
- [287484] добавлены недостающие константы пакета DataTypes
- [286261] Схемы: js edit, добавлена поддержка загрузки шаблонов схем
- [287285] Схемы: добавлены поля настройки диаграммы "X поле данных" "Y поле данных" "Текст поле данных"

--- 6.986 ---  28.08.2025
- [287466] #fsert UNINIT.CTOR src/thinclient/syswin/dialog_forms.cpp
- [287397] cобытие onChange поля ввода иногда вызывается дважды
! [287248] Отчеты: исправлена работа с записями в невалидных источниках из скрипта
- [287392] Схемы: исправлена ошибка при которой после фильтра нельзя было добавить примечание
- [287393] Схемы: исправлена ошибка при которой после добавления примечания к фигуре и странице не работали кнопки перемещения панели примечаний
- [287357] Схемы: исправлена ошибка отмены действий, совершаемых на не активном слое
! [287248] Отчеты: исправлена ошибка обновления данных в фильтрах
- [280726] Схемы: исправлена ошибка, при которой после выбора стиля линии «Примитив», до выбора стиля и нажатия клавиши «ОК», активировалась дискетка сохранения схемы

--- 6.985 ---  27.08.2025
- [287141] некорректно обновляется признак доступности кнопки привязанной к действию коспонента внешние файлы
- [287356] скорректирован вызов события "onValidate" при изменении поля источника данных
- [287312] Схемы: исправлен поворот текста внутри фигуры - убрано смещение и добавлено сохранение состояния свойства "Вписывать"
- [263350] Help: исправлены переходы по гиперссылкам внутри документа (asciidoctobin, см. 5685bcbfc0a3b03f94cef726fbdfcd5988effdbb)
- [287161] Отчеты: исправлена ошибка печати заголовков в гридах и деревьях
- [287291] #fsert src/thinclient/schemes/sd_pages.cpp DEREF_AFTER_NULL
           #fsert src/thinclient/js/pkg_graphics.cpp DEREF_OF_NULL.RET.STAT
           #fsert src/thinclient/schemes/mnemo_engine.cpp DEREF_OF_NULL.RET.STAT
           #fsert src/thinclient/syswin/param_form.cpp NULL_AFTER_DEREF
           #fsert src/server/agent/java/src/inform/agent/net/RequestExecutor.java UNCHECKED_FUNC_RES.STAT
           #fsert src/server/agent/java/src/inform/agent/schemes/SchemeSizeRequest.java UNCHECKED_FUNC_RES.STAT
           #fsert src/thinclient/datamodel/dm_js.cpp UNINIT.CTOR
           #fsert src/thinclient/forms/fc_edit.cpp UNINIT.CTOR
           #fsert src/thinclient/gui/agg/include/agg_scanline_p.h UNINIT.CTOR
           #fsert src/thinclient/syswin/dialog_forms.cpp UNINIT.CTOR
- [287296] #fsert Схемы: схемный контрол DEREF_OF_NULL.RET.STAT
- [287296] #fsert Диаграммы: компонент формы DEREF_OF_NULL.RET.STAT
- [287260] Новое окно авторизации: Исправления
           - Исправлены ошибки в функциях управления ключами авторизации, связанные с кириллическим написанием имени пользователя системы.
+ [263352] Help: добавлены возвраты назад-вперёд по страницам (кнопки в UI работают везде, горячие клавиши Alt+Left и Alt+Right работают только в поиске) + добавлена печать страниц
- [284334] Схемы: добавлены фильтры для панели примечаний
! [285936] Отчеты: исправлена ошибка взятия фокуса после обновления фрейма при формировании отчета
- [284021] Схемы: исправлены недочёты работы окна изменения масштаба схемы
- [287136] Схемы: исправлена ошибка неправильного отображения фигуры при изменении текста внутри нее
! [287234] Диаграммы: для указателя в диаграмме градиен можно задавать цвет и размеры
- [284124] Схемы: запрещена работа с примечаниями во время редактирования примитива в библиотеке примитивов
- [284124] Схемы: при добавлении примечанию к примитиву на схеме, он преобразуется в графическую группу
- [287309] Схемы: доработки зависания при вызове JS-метода "importScheme"
- [285894] Диаграммы: исправлено отображение диаграмм в 4к
- [284342] Диаграммы; исправлено отображение диаграммы
- [278061] Схемы: исправлена ошибка при копировании схемы как изображения с включенным параметром "показывать габариты"
- [287137] Схемы: проведен рефакторинг методов, убран malloc
- [286569] Схемы: При дублировании страниц, дублируются примечания у фигур и страницы
- [286569] Схемы: Исправлена ошибка при которой не подсвечивалась иконка примечаний у страницы
- [286569] Схемы: Исправлена ошибка при которой текст заголовка у панели примечаний вылезал за приделы панели
- [286569] Схемы: Исправлена ошибка при которой невозможно ввести примечания при помощи кнопки "Enter"

--- 6.984 ---  22.08.2025
+ [287221] Схемы: JS-метод "createBinding" для создания из JS привязки графики к данным
- [286861]  исправлены условия добавления фигур в библиотеку примитивов Избранное при dragDrop
- [287156] исправлено отображение подсказки для поля ввода
- [274149] Схемы: исправлено игнорирование запрета на экпорт для слоя
+ [186350] Схемы: добавлено подтверждение удаления элемента из коллекции
+ [287111] Добавлена поддержка include при конвертации adoc файлов
! [281098] Диаграммы: доработка диаграммы градиент
- [287240] Внесены правки с практики в helpconverter и asciidoctobin

--- 6.983 ---  20.08.2025
+ [186346] Схемы: добавлен серый фон для readonly-свойств
- [287112] Выбор записей формой: N52939 - зависание клиента при запуске формы выбора с опцией "Устанавливать текущую запись"
- [287186] Отчеты: исправлена цветная печать гридов и деревьев

--- 6.982 ---  20.08.2025
- [260611] Схемы: "Порядок" -> "Поместить за объектами"/"Поместить перед объектами" - теперь работает выбор нескольких объектов с помощью прямоугольника выделения
- [287019] Схемы: исправлена ошибка, когда при копировании линии или ломаной как картинки не учитывалась стрелка
- [285936] Отчеты: исправлена ошибка очистки памяти при уничтожении фрейма

--- 6.981 ---  19.08.2025
- [287127] Отчеты: исправлена ошибка чтения нулевого свойства value для ячеек таблиц

--- 6.980 ---  18.08.2025
- [260321] Схемы: при форматировании по образцу теперь синхронизируются свойства в UI + исправлено копирование некоторых свойств
- [285625] #wasm в https копирование через Ctrl+C теперь работает везде
- [287132] Отчеты: исправлена ошибка системной печати дерева (цветная печать)
- [287094] лишние проверки ASSERT при сохранении Blob-файлов

--- 6.979 ---  15.08.2025
- [287086] при добавлении библиотеки примитивов Избранное, она добавляется во всех открытых вкладках со схемой
- [287094] ASSERT при сохранении Blob-файлов в браузере
+ [285473] Схемы: добавлена поддержка внешней тени от размеров
+ [285470] Схемы: добавлена поддержка внешней тени от стрелок

--- 6.978 ---  15.08.2025
+ [285757] при добавлении библиотеки примитивов Избранное, она устанавливается в качестве первой вкладки в окне Библиотеки примитивов
- [287059] Графический редактор: Эффекты
           - Исправлено экстренное завершение приложения
- [286083] Отчеты: исправлена ошибка печати итогов при выгрузке грида в качестве параметра

--- 6.977 ---  14.08.2025
- [281154] Схемы: исправлены операции комбинирования фигур, если у них одинаковые X или Y
- [286961] ASSERT при подготовке выборки данных
- [287036] Схемы: зависание при вызове JS-метода "importScheme"
- [287038] Схемы: исправлено подсвечивание кнопки
- [274531] Схемы: изменено сообщение об ошибке при импорте и вставке директорий
- [282687] Диагностика dm::BlobContainer
- [286563] Схемы: для области примечаний добавлен учёт защиты страницы
- [286563] Схемы: исправлена ошибка отображения неправильного имени страницы в области примечаний, если там были примечания

--- 6.976 ---  14.08.2025
- [286291] Графический редактор: Подсветка
           - Исправлена ошибка, при которой подсветка обрезалась при отрисовке в отражении
- [287014] Схемы: исправлено некорректное позиционирование теней у примитивов, отключен рендер эффектов во время перемещения примитивов
- [287022] Схемы: параметр "Размер" теперь скрывается для теней с типом "Внутри" и больше не влияет на их отрисовку
- [287027] Схемы: исправлен неверный порядок примитивов после удалиния примитива из Библиотеки примитивов Избранное
- [285889] Справка: оптимизирован вызов разделов справки и исправлена ошибка повторного открытия справки в клиент-серверной версии
- [286593] Отчеты: исправлено отсутствие границ ячеек в заголовке таблицы
- [287016] Схемы: исправлено условие при котором возможно добавлять фигуры со схемы в Избранное
- [286952] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT schemes/sd_image.cpp
- [286949] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT gui/gui_scrollable_image.cpp
! [286976] Внешние файлы: возвращена возможность выбирать несколько файлов для загрузки в источник как Blob-файлы с помощью executeAddToBlob
- [287000] Формы: Добавлен приватный режим в компоненте Image для pdf документа
- [286506] Отчеты: исправлена ошибка сохранения стилей наследуемых шрифтов
- [285936] исправлен порядок обхода виджетов при обработке событий
- [286590] панель примечаний реагирует на добавление фигур (копирование, дублирование), а также удаление фигур (удаление, вырезать) и удаление слоя
! [283265] Исправление ошибки исчезновения курсора на символе \r
- [285923] исправлено отображение выбора параметра, привязанного к полю таблицы
- [286982] исправлена ошибка зависания приложения при переключение на другое приложение с открытым всплывающим окном примечаний
- [285897] Схемы: исправлена ошибка отображения стрелок у линии при добавлении эффектов. Также доработан эффект подсветка
для правильной работы со стрелками.
- [286955] #fsert сообщение диагностики UNCHECKED_FUNC_RES.STAT: dukArgToBinary в fc_scheme.cpp
- [286957] #fsert сообщение диагностики UNCHECKED_FUNC_RES.STAT в sd_library.cpp
- [285777] Диаграммы: исправлены диаграммы в аналитических таблицах
- [286313] Исправлена ошибка обновления названия свойства "Стиль линии" в ИО при выборе типа линии "Примитив"
- [286991] Схемы:  исправлена ошибка первое примечание для новой страницы добавлялось выше заголовка страницы

--- 6.975 ---  12.08.2025
- [286948] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT core/queues.cpp
- [286954] #fsert сообщение диагностики: adt_unix.cpp UNCHECKED_FUNC_RES.STAT
- [286984] исправлена отрисовка иконки оповещения лога
- [286916] Grid: при выборе пункта контекстного меню "Очистить полн в выделенных записях" не учитывалось свойство "Только для чтения"
- [286857] Формы: Исправлена отрисовка выделенных строк в гриде

--- 6.974 --- 11.08.2025
- [285468] Схемы: исправлена отрисовка теней для объектов, которые находятся внутри групп
- [285474] Схемы: исправлена отрисовка теней для многоугольников
- [285471] Схемы: исправлена отрисовка теней для таблиц
- [285475] Схемы: исправлена отрисовка теней для областей
- [286950] #fsert: Сообщение диагностики DEREF_OF_NULL.RET.STAT schemes/engine.cpp
- [285437] Схемы: исправлен поворот текста внутри фигуры - убрано смещение и добавлено сохранение состояния свойства "inscribe" ("Вписывать")
- [286881] Отчеты: исправлена ошибка печати грида
- [285936] Отчеты: исправлена ошибка аварийного завершения работы клиента при формировании отчета
- [286859] Grid: зацикливание при расчете итогов в отчете
- [286855] Схемы: исправлена ошибка при удалении последнего примитива из Библиотеки примитивов Избранное
- [286862] Схемы: исключено добавление фигуры Диаграммы в Библиотеку примитивов Избранное
- [286832] Схемы: исправлена ошибка отображения курсоров при первом запуске
- [286842] Схемы: исправлены ошибки в окне редактирования всплывающих подсказок
- [285584] Введен параметр DPI (Настройки - Дополнительно - Параметры копирования - Качество копируемого изображения (DPI)) для функции "Копировать изображение"

--- 6.973 --- 08.08.2025
- [285927] Схемы: исправлена ошибка при которой перемешался вписанный текст при использования иконки примечания и ротора фигуры
- [286839] Схемы: исправлена ошибка возникающая при dragDrop фигуры со схемы в библиотеку примитивов

--- 6.972 --- 08.08.2025
- [286729] добавлена возможность отключать функционал Избранные примитивы

--- 6.971 --- 08.08.2025
- [286780] Grid: зацикливание при расчете итогов
- [286780] Decimal: исправлено преобразование NaN в double
+ [285466] Схемы: для эффекта "Тень" добавлен вариант "Перспектива"
+ [286215] Схемы: для эффекта "Тень" добавлен вариант "Внутри"
+ [286719] Графический редатор: Эффекты
           - Добавлена возможность отключить эффекты на системном уровне.
+ [285758] Схемы: добавление фигур со схемы в библиотеку примитивов используя механизм dragDrop
- [286750] Дизайнер формы: окно поиска текста теперь отображает название выбранного редактора
+ [286835] Схемы: таблицы - добавлена навигация стрелками клавиатуры для строк и столбцов таблицы
+ [286829] Схемы: таблицы - добавлен механизм выбора ячеек через клавишу Shift
- [281909] Документ: исправлено подчеркивание пробельных символов в ссылках
- [284538] Схемы: при перемещении страниц изменяется порядок примечаний в области примечаний
- [284538] Схемы: при удалении страницы удаляются примечания в области примечаний
- [284538] Схемы: при переименовании страниц переименовываются переименовываются страницы в области опримечаний
+ [284066] Схемы: в ленточный интерфейс добавлена возможность изменения примечаний по аналогии с Visio
- [286721] Схемы: исправлена ошибка активации кнопок смены типа стрелок
+ [286728] Схемы: добавлена возможность отключения диаграмм

--- 6.970 --- 07.08.2025
! [286500] #fsert Ограничено количество модулей, доступных в скриптах схемных примитивов
- [284117] CheckBox: неправильно менялось значение флажка, привязанного к полю источника данных при вызове throw в событии "onValidate" для поля источника данных
- [286765] Отчеты: исправлена сортировка строковых значений в развороте

--- 6.969 --- 06.08.2025
- [286766] не срабатывает настройка Представление=Логическое ячейки дерева данных привязанной к первичному ключу
- [286361] Схемы (инспектор объектов): доработано обновление кеша адаптера у свойства
- [286006] Edit: не менялось значение поля ввода при изменении поля данных
- [285835] Диаграммы: исправлено отображение текста в легенде

--- 6.968 --- 06.08.2025
- [286476] #fsert: Сообщение диагностики DEREF_OF_NULL.RET.STAT
- [286596] Схемы: исправлен порядок сохранения примитивов из библиотеки Избранное
- [286451] #fsert: Сообщение диагностики UNCHECKED_FUNC_RES.STAT
- [286566] в поля ввода не изменяется значение, если выпадающий списке пустой и поле не является справчником
- [286496, 286452] #fsert: Сообщение диагностики UNCHECKED_FUNC_RES.STAT
- [286264] исправлен минимальный размер окна ошибки
- [286441] #fsert: Сообщение диагностики UNCHECKED_FUNC_RES.STAT
- [286305] некорректно передаются параметры в компроненте sql оператор
- [270852] Для forms::ScriptExtButtons и forms::ScriptVisibleButtons скриптовые свойства и функции перенесены из initScriptObject в initSctiptClass
- [286433] #fsert: Сообщение диагностики UNINIT.CTOR, UNCHECKED_FUNC_RES.STAT
           - src/thinclient/syswin/doc_dialogs.cpp
- [286439] #fsert: Сообщение диагностики UNINIT.CTOR
- [286448] #fsert: Сообщение диагностики NULL_AFTER_DEREF ext/Freetype/src/sdf/ftsdf.c
- [286447] #fsert: Сообщение диагностики DEREF_OF_NULL.RET.STAT ext/Freetype/src/base/ftobjs.c
- [286490] #fsert: Сообщение диагностики «NULL_AFTER_DEREF»
           - ext/Freetype/src/truetype/ttdriver.c
- [286483] #fsert: Сообщение диагностики «NULL_AFTER_DEREF»
           - src/thinclient/schemes/sd_ribbon_form.cpp
- [286481] #fsert: Сообщение диагностики «DEREF_OF_NULL.RET.STAT»
           - src/thinclient/schemes/sd_image.cpp
- [286454] #fsert: Сообщение диагностики «UNCHECKED_FUNC_RES.STAT»
           - src/thinclient/gui/gui_ribbon.h
- [286426] #fsert сообщение диагностики NULL_AFTER_DEREF ext/Freetype/src/cff/cffgload.c
- [286286] в некоторых случаях не вызывается событие onChange поля ввода
- [285688] Схемы: исправлена ошибка если примитив из библиотеки Избранное выбрать в качестве стиля линии ломаной
- [286428] #fsert сообщение диагностики UNINIT.CTOR  src/thinclient/core/core_babysitter_unix.cpp
- [286479, 286480] #fsert Схемы: сообщение диагностики (Вкладка графического редактора) UNINIT.CTOR
- [286423] #fsert Схемы: сообщение диагностики (Открытие файла) DEREF_AFTER_NULL
- [286440] #fsert Схемы: сообщение диагностики (Схемный контрол) DEREF_OF_NULL
- [286457] #fsert Схемы: сообщение диагностики (Ввод текста) UNCHECKED_FUNC_RES.STAT
- [286466] #fsert Схемы: сообщение диагностики (Изменение параметров примитива) DEREF_OF_NULL.RET.STAT
- [286469] #fsert Схемы: сообщение диагностики (Инспектор объектов) NULL_AFTER_DEREF
- [286482] #fsert Схемы: сообщение диагностики (Библиотека примитивов) DEREF_AFTER_NULL, DEREF_OF_NULL.RET.STAT, NULL_AFTER_DEREF, UNCHECKED_FUNC_RES.STAT
- [286484] #fsert Схемы: сообщение диагностики (Сохранение избранных примитивов) DEREF_OF_NULL.RET.STAT
- [286485] #fsert Схемы: сообщение диагностики (Библиотека примитивов) DEREF_OF_NULL.RET.STAT
- [286495] #fsert сообщение диагностики (Буфер обмена) UNCHECKED_FUNC_RES.STAT
- [286503] Диаграммы: исправлено поведение события "Действие по левой клавише мыши"
- [286438] Диаграмым: исправлен метод проверки индекса серии
- [280337] Диаграммы: исправлена ошибка отображения подписи при попадании сектора диаграммы за ось
+ [284539] Схемы: добавлена кнопка "Область примечаний" в ленточный интерфейс
- [286568] #fsert Схемы: сообщение диагностики (Библиотека примитивов) ACCESS VIOLATION
- [286314] добавлены недостающие константы пакета DataTypes
- [286552] синхронизированны форматы внешних файлов с толстым клиентом
- [285898] исправлен доступ к выбору даты в дереве для специальных форматов

--- 6.967 --- 04.08.2025
- [286266] Окно "О программе": добавлено отображение версии сервера
- [283527] Окно "Количество строк, прокручиваемое колёсиком мыши": добавлена фокусировка на поле ввода и отступ сверху
- [285840] Edit: не устанавливалось значение поля ввода после вызова "Формы для выбора"
- [285900] Форма: исправлено отсутствие применения настроек стилевой таблицы к элементам типа gui::Group в Навигаторе Данных (только основное окно, не отдельное)
- [285656] Схемы: исправлена ошибка добавления со схемы примитива-внешняя ссылка в библиотеку Избранное
- [286299] Отчеты: исправлена ошибка системной печати грида
! [286287] Отчеты: исправлена печать элемента "документ" в ячейках таблицы из источника данных
- [286273] Отчеты: исправлена ошибка загрузки стилей ячеек таблиц в колонтитулах
- [285891] AV при запуске формы привязанной к параметрам, если происходит ошибка в скрипте в onInitilize, отображать эту ошибку после закрытия формы
+ [285675] Схемы: добавлена возможность получения скриптового объекта примитива и получения его изображения
! [274161] Схемы: доработан механизм загрузки схемы и многопользовательского режима
- [286303] Диаграммы: исправлена ошибка в работе "Действие по левой кнопке мыши"
- [284537] Схемы: По аналогии с Visio, при нажатие на примечание в панели примечаний, на схеме отображается фигура с примечанием которая была выделена
- [284537] Схемы: При изменения выделения на схеме, в панели подсвечивается примечание у выделенной фигуры

--- 6.966 --- 01.08.2025
- [286063] зависание при многократном подряд обновлении фрейма из скрипта

--- 6.965 --- 01.08.2025
- [285684] Схемы: исправлена ошибка добавления примитива из Избранного на защищенную схему
- [285886] Схемы: исправлена ошибка смещение фигур с эффектами в группе
+ [285602] При удалении примитива если он был последним, выделяется предыдущий

--- 6.964 --- 31.07.2025
- [286063] зависание при многократном подряд обновлении фрейма из скрипта
! [285873] Linux Изменён путь приложения при установке из deb-пакетов (был /opt/asmo/re стал /opt/asmo/asmo-re)
- [284229] Схемы: импорт DWG/DXF - скорректирован импорт контрольных точек сплайна
- [285958] Графический редактор: RIBBON
           - Исправлена ошибка, при которой в ленточном интерфейсе во вложенном контекстном меню мог появляться выбор стрелочки линий.
+ [285103] Графический редактор: Подсветка - Стрелочки
           - Добавлена поддержка подсветки для стрелочек ломаных и кривых.
- [285791] Библиотека примитивов: исправлено отсутствие обновления полосы прокрутки при раскрытии и сворачивании узлов
- [285745] Схемы: исправлено переименование примитивов из избранного
- [285706] исправлено формирование имен внешних файлов, вставленных из буфера обмена
+ [285624] Схемы: в случае добавления фигуры со схемы в избранное, открывается окно библиотеки примитивов, если оно было закрыто и выделяется добавленный примитив
- [285926] не возвращается размер только что загруженного блоб-файла
- [284204] Схемы: импорт DWG/DXF - установка толщины линии по умолчанию
- [285774] Схемы: исправлена ошибка настройки типа начальной и конечной стрелки ломаной из ленточного интерфейса
- [285961] Схемы: эффекты - исключена поддержка эффектов для некоторых фигур
- [285871] зависание при освобождении из скрипта компонента запуска формы, который не запускается для отображения формы и в котором содержатся фреймамы
! [283733] исправлена ошибка подсчета количества дней для интервального формата данных
- [285879] Схемы: доработана настройка толщины линии фигуры
- [284565] Схемы: исправлена ошибка (heap-use-after-free), при вызове контекстного меню и выбора пункта "Подложки" для отображения списка подложек
- [284555] Схемы: при открытой панели примечаний, добавление примечаний через контекстное меню фигуры или иконку примечаний у фигуры, добавление происходит в панель примечаний
- [285888] Схемы: не рисуеться контур выделенных фигур вгруппе имеющих сглаживание
